RegisterTycoonFarmArea("Deepholm Embersilk",
	" A basic Embersilk route in Deepholm. Kill Stone Trogg Geomancers, Stone Trog Berserkers, Stone Trogg Ambushers, and Needlerock Riders in this area. Kill the enemy groups attacking friendly NPCs to speed up your farming.",
	{--Items
		{id = 53010, rate = 76}, -- Embersilk
		{id = 68198, rate = 32}, --Ruined Embersilk Scraps
		{id = 68197, rate = 10}, --Scavenged Animal Parts
		{id = "coin", rate = 1200000}, --Direct coin drops
	},
	640, --ZoneMapAreaID: Deepholm
	{}, --Required Profession: none
	{--The route
		25745863, -- [1]
		28696018, -- [2]
		27196364, -- [3]
		29946557, -- [4]
		32016833, -- [5]
		32197264, -- [6]
		27087810, -- [7]
		24727318, -- [8]
		22697225, -- [9]
		23126635, -- [10]
		21406306, -- [11]
		19406143, -- [12]
		19385832, -- [13]
		17985381, -- [14]
		21675470, -- [15]
		24845277, -- [16]
	}
)

RegisterTycoonFarmArea("Tailoring: Deepholm Embersilk",
	" A basic Embersilk route in Deepholm. Kill Stone Trogg Geomancers, Stone Trog Berserkers, Stone Trogg Ambushers, and Needlerock Riders in this area. Kill the enemy groups attacking friendly NPCs to speed up your farming. This estimate includes the bonus drop rate tailors recieve on cloth.",
	{--Items
		{id = 53010, rate = 300}, -- Embersilk
		{id = 68198, rate = 32}, --Ruined Embersilk Scraps
		{id = 68197, rate = 10}, --Scavenged Animal Parts
		{id = "coin", rate = 1200000}, --Direct coin drops
	},
	640, --ZoneMapAreaID: Deepholm
	{"Tailoring"}, --Required Profession: none
	{--The route
		25745863, -- [1]
		28696018, -- [2]
		27196364, -- [3]
		29946557, -- [4]
		32016833, -- [5]
		32197264, -- [6]
		27087810, -- [7]
		24727318, -- [8]
		22697225, -- [9]
		23126635, -- [10]
		21406306, -- [11]
		19406143, -- [12]
		19385832, -- [13]
		17985381, -- [14]
		21675470, -- [15]
		24845277, -- [16]
	}
)

RegisterTycoonFarmArea("Mount Hyjal Embersilk",
	"A Basic Embersilk cloth gathering area, you need to kill Twilight Assassins, Twilight Vanquishers, Twilight Flame Callers, Twilight Proveditor, Twilight Slavedriver, and Twilight Hunter",
	{--Items
		{id = 53010, rate = 56}, --Gathering Item ID and rate of collection/hour: Embersilk
		{id = 68198, rate = 15}, --Ruined Embersilk Scraps
		{id = 68197, rate = 10}, --Scavenged Animal Parts
		{id = "coin", rate = 800000}, --Straight coin drops in copper/hr
	},
	606, --ZoneMapAreaID: Mount Hyjal
	{}, --Required Profession: None
	{--The route
		51842343, -- [1]
		52382748, -- [2]
		47723238, -- [3]
		33212458, -- [4]
		44121967, -- [5]
		47271994, -- [6]
	}
)

RegisterTycoonFarmArea("Tailoring: Mount Hyjal Embersilk",
	"A Basic Embersilk cloth gathering area, you need to kill Twilight Assassins, Twilight Vanquishers, Twilight Flame Callers, Twilight Proveditor, Twilight Slavedriver, and Twilight Hunter. This estimate includes the bonus drop rate tailors recieve on cloth.",
	{--Items
		{id = 53010, rate = 160}, --Gathering Item ID and rate of collection/hour: Embersilk
		{id = 68198, rate = 15}, --Ruined Embersilk Scraps
		{id = 68197, rate = 10}, --Scavenged Animal Parts
		{id = "coin", rate = 800000}, --Straight coin drops in copper/hr
	},
	606, --ZoneMapAreaID: Mount Hyjal
	{"Tailoring"}, --Required Profession: None
	{--The route
		51842343, -- [1]
		52382748, -- [2]
		47723238, -- [3]
		33212458, -- [4]
		44121967, -- [5]
		47271994, -- [6]
	}
)

RegisterTycoonFarmArea("Twilight Highlands Embersilk",
	"Shows the area(s) (In the Elementium Mines) for you to go to in order to kill Twilight Miners and Depths Overseers for their cloth drops",
	{--Items
		{id = 53010, rate = 54}, --Gathering Item ID and rate of collection/hour: Embersilk Cloth
		{id = 68198, rate = 30}, --Ruined Embersilk Scraps
		{id = 68197, rate = 10}, --Scavenged Animal Parts
		{id = "coin", rate = 700000}, --Direct coin drops
	},
	700, --ZoneMapAreaID: Twilight Highlands
	{}, --Required Profession: None
	{--The route
		36048801, -- [1]
		37648644, -- [2]
		38888898, -- [3]
		37469088, -- [4]
	})

RegisterTycoonFarmArea("Tailoring: Twilight Highlands Embersilk",
	"Shows the area(s) (In the Elementium Mines) for you to go to in order to kill Twilight Miners and Depths Overseers for their cloth drops. This estimate includes the bonus drop rate tailors recieve on cloth.",
	{--Items
		{id = 53010, rate = 210}, --Gathering Item ID and rate of collection/hour: Embersilk Cloth
		{id = 68198, rate = 30}, --Ruined Embersilk Scraps
		{id = 68197, rate = 10}, --Scavenged Animal Parts
		{id = "coin", rate = 650000}, --Direct coin drops
	},
	700, --ZoneMapAreaID: Twilight Highlands
	{"Tailoring"}, --Required Profession: None
	{--The route
		36048801, -- [1]
		37648644, -- [2]
		38888898, -- [3]
		37469088, -- [4]
	})

RegisterTycoonFarmArea("Uldum Embersilk",
	"Shows the area to fight in, killing Eternal Protectors and Furious Spectres for their embersilk.",
	{--Items
		{id = 53010, rate = 60}, --Embersilk Cloth
		{id = 68198, rate = 35}, --Ruined Embersilk Scraps
		{id = 68197, rate = 15}, --Scavenged Animal Parts
		{id = "coin", rate = 800000}, --Direct coin drops
	},
	720, --ZoneMapAreaID: Uldum
	{}, --Required Profession: None
	{--The route
		30345850, -- [1]
		35185842, -- [2]
		37306396, -- [3]
		34877046, -- [4]
		29896775, -- [5]
	})
	
RegisterTycoonFarmArea("Tailoring: Uldum Embersilk",
	"Shows the area to fight in, killing Eternal Protectors and Furious Spectres for their embersilk. This estimate includes the bonus drop rate tailors recieve on cloth.",
	{--Items
		{id = 53010, rate = 240}, --Embersilk Cloth
		{id = 68198, rate = 35}, --Ruined Embersilk Scraps
		{id = 68197, rate = 15}, --Scavenged Animal Parts
		{id = "coin", rate = 800000}, --Direct coin drops
	},
	720, --ZoneMapAreaID: Uldum
	{"Tailoring"}, --Required Profession: None
	{--The route
		30345850, -- [1]
		35185842, -- [2]
		37306396, -- [3]
		34877046, -- [4]
		29896775, -- [5]
	})

RegisterTycoonFarmArea("Horde Linen and Wool cloth",
	"Shows the area to fight in, killing Risen Farmers. Good for level 20+ Horde or high level Alliance, stand at the northern end of the gate and kill the farmers as they come out of the ground.",
	{--Items
		{id = 2589, rate = 228 }, -- Linen Cloth;
		{id = 2592, rate = 90}, -- Wool Cloth
		{id = "coin", rate = 3157}, -- Coin drops and sales from grey items.
	},
	24, --ZoneMapAreaID: Hillsbrad Foothills
	{}, --Required Profession: None
	{--The route
		36816233, -- [1]
		38866250, -- [2]
		38636635, -- [3]
		36856732, -- [4]
	})

RegisterTycoonFarmArea("Alliance Linen and Wool cloth",
	"Shows the area to fight in, killing Dragonmaw mobs and Ebon Slavehunters back and forth in this area in the wetlands. Good for level 20-30 Alliance or higher levels.",
	{--Items
		{id = 2592, rate = 216}, -- Wool Cloth
		{id = 2589, rate = 174 }, -- Linen Cloth
		{id = 4306, rate = 18}, -- Silk Cloth
		{id = "coin", rate = 7683}, -- Coin drops and sales of greys.
	},
	40, --ZoneMapAreaID: Wetlands
	{}, --Required Profession: None
	{--The route
		58734439, -- [1]
		61244290, -- [2]
		67184402, -- [3]
		70054572, -- [4]
		70825030, -- [5]
		58664651, -- [6]
	})

RegisterTycoonFarmArea("Felcloth",
	"Shows the area to fight in, killing all the demons you find in the Twisted Forest. Good for level 60 and above.",
	{--Items
		{id = 14256, rate = 18}, -- Felcloth
		{id = "coin", rate = 54624}, -- Coin drops and sales of greys.
	},
	19, --ZoneMapAreaID: Blasted Lands
	{}, --Required Profession: None
	{--The route
		42757123, -- [1]
		41547570, -- [2]
		39437565, -- [3]
		38497405, -- [4]
		35737669, -- [5]
		30827490, -- [6]
		30426899, -- [7]
		31556464, -- [8]
		39756483, -- [9]
	})

RegisterTycoonFarmArea("Silk Cloth",
	"Shows the area to fight in, killing all the Naga you find on the islands and in the cleft in the outlined area in Desolace. Good for level 40 and above. ",
	{--Items
		{id = 4306, rate = 132}, -- Silk Cloth
		{id = "coin", rate = 41106}, -- Coin drops and sales of greys.
	},
	101, --ZoneMapAreaID: Desolace
	{}, --Required Profession: None
	{--The route
		45245702, -- [1]
		38734705, -- [2]
		28124956, -- [3]
		29254062, -- [4]
		26322749, -- [5]
		31052611, -- [6]
		35153713, -- [7]
		38363789, -- [8]
		41144144, -- [9]
		40304602, -- [10]
		44655344, -- [11]
		46745732, -- [12]
		48145877, -- [13]
		46035885, -- [14]
	})

RegisterTycoonFarmArea("Runecloth",
	"Shows the area to fight in, killing all the Twilight mobs in the camps around Silithus. Good for players level 60 and above.",
	{--Items
		{id = 14047, rate = 186}, -- Runecloth
		{id = "coin", rate = 256467}, -- Coin drops and sales of greys.
	},
	261, --ZoneMapAreaID: Silithus
	{}, --Required Profession: None
	{--The route
		31842888, -- [1]
		37533164, -- [2]
		32163661, -- [3]
		26107123, -- [1]
		30547168, -- [2]
		30447683, -- [3]
		25947737, -- [4]
		44093821, -- [1]
		47384126, -- [2]
		44794493, -- [3]
		41474128, -- [4]
	})

RegisterTycoonFarmArea("Mageweave Cloth",
	"Shows the area to fight in, killing all the Talonbranch Defenders (for Horde) or Irontree Choppers (Alliance) in Felwood. Good for players level 55 and above.",
	{--Items
		{id = 4338, rate = 300}, -- Runecloth
		{id = "coin", rate = 205416}, -- Coin drops and sales of greys.
	},
	182, --ZoneMapAreaID: Felwood
	{}, --Required Profession: None
	{--The route
		61222257, -- [1]
		60421656, -- [2]
		65371714, -- [3]
		64982441, -- [4]
	})

RegisterTycoonFarmArea("Netherweave Cloth",
	"Shows the area to fight in, killing all the Sunfury Mobs around this Manaforge. Good for players level 70 and above.",
	{--Items
		{id = 21877, rate = 450}, -- Runecloth
		{id = 30810, rate = 100}, -- Sunfury Signet
		{id = 29739, rate = 10}, -- Arcane Tome
		{id = "coin", rate = 1502222}, -- Coin drops and sales of greys.
	},
	479, --ZoneMapAreaID: Netherstorm
	{}, --Required Profession: None
	{--The route
		21986534, -- [1]
		28536479, -- [2]
		26946957, -- [3]
		28237464, -- [4]
		19567480, -- [5]
	})

RegisterTycoonFarmArea("Frostweave Cloth",
	"Shows the area to fight in, killing all the Fallen Hero Spirits that run up to here. They're yellow and easy to kill. Good for players 80 and above.",
	{--Items
		{id = 33470, rate = 220}, -- Frostweave Cloth
		{id = "coin", rate = 2007947}, -- Coin drops and sales of greys.
	},
	492, --ZoneMapAreaID: Icecrown Glacier
	{}, --Required Profession: None
	{--The route
		48014568, -- [1]
		49874944, -- [2]
		47284852, -- [3]
	})

RegisterTycoonFarmArea("Tailoring: Icecrown Frostweave",
	"Shows the area to fight in, killing Fallen Hero Spirits for their Frostweave. This estimate includes the bonus drop rate tailors recieve on cloth.",
	{--Items
		{id = 33470, rate = 220}, -- Frostweave Cloth
		{id = "coin", rate = 2007947}, -- Coin drops and sales of greys.
	},
	492, --ZoneMapAreaID: Icecrown Glacier
	{"Tailoring"}, --Required Profession: None
	{--The route
		48014568, -- [1]
		49874944, -- [2]
		47284852, -- [3]
	})
