-- Template
--[[
RegisterTycoonFarmArea("[Zone Skin (Area Optional)]", 
	"[Description. Mobs]",
	{ -- Items
		{id = "ItemID", rate = "approximate number per hour collected"}, -- Item Name
		{id = "coin", rate = 2250000}, --Direct coin drops and coin from selling grey items after route run
	},
	123, -- ZoneMapAreaID: ZoneName
	{Skinning = 123}, -- Required Profession = profession level required
	{ -- The Route
	
	}
)
]]--

-- This file will hold all the volatile farming routes and whatever new routes that come with Pandaria
RegisterTycoonFarmArea("Twilight Highlands Volatile Fire 1",
	"A Volatile Fire farming route in TH where you can kill Enslaved Infernos and with a Fishling level of 1 and a pole you can also get Volatiles from the fishing pools in the fire here.",
	{
		{id = 52325, rate = 140}, -- Volatile Fire
		{id = "coin", rate = 70128}, --Direct coin drops and coin from selling grey items after route run
	},
	700, -- Zone ID: Twilight Highlands
	{Fishing = 1}, 
	{ -- the route
		39307840, -- [1]
		42317814, -- [2]
		42368113, -- [3]
		39728124, -- [4]
	}
)

RegisterTycoonFarmArea("Twilight Highlands Volatile Fire 2",
	"A Volatile Fire farming route in TH where you can kill Unbound Emberfiends.",
	{
		{id = 52325, rate = 50}, -- Volatile Fire
		{id = "coin", rate = 506209}, --Direct coin drops and coin from selling grey items after route run
	},
	700, -- Zone ID: Twilight Highlands
	{}, 
	{ -- the route
		41311999, -- [1]
		44252158, -- [2]
		44762539, -- [3]
		42792834, -- [4]
		38952326, -- [5]
	}
)

RegisterTycoonFarmArea("Mount Hyjal Volatile Fire",
	"A Volatile Fire farming route in Mount Hyjal. You can kill Fire Elementals, or with a fishign skill of 1 and a pole you can get them from the pools around this area. ",
	{
		{id = 52325, rate = 30}, -- Volatile Fire
		{id = "coin", rate = 6711816}, --Direct coin drops and coin from selling grey items after route run
	},
	606, -- Zone ID: Mount Hyjal
	{Fishing = 1}, 
	{ -- the route
		45048300, -- [1]
		48558140, -- [2]
		48017816, -- [3]
		44207597, -- [4]
		45737400, -- [5]
		50527491, -- [6]
		53547531, -- [7]
		53058240, -- [8]
		48058489, -- [9]
		45278799, -- [10]
	}
)

RegisterTycoonFarmArea("Twilight Highlands Volatile Earth",
	"A Volatile Earth farming route in TH where you can kill Obsidian Stoneslaves.",
	{
		{id = 52327, rate = 80}, -- Volatile Earth
		{id = "coin", rate = 3094760}, --Direct coin drops and coin from selling grey items after route run
	},
	700, -- Zone ID: Twilight Highlands
	{}, 
	{ -- the route
		56342774, -- [1]
		58512682, -- [2]
		60843059, -- [3]
		61353408, -- [4]
		54743359, -- [5]
	}
)

RegisterTycoonFarmArea("Mount Hyjal Volatile Earth",
	"A Volatile Earth farming route in Mount Hyjal. You can kill Scalding Rock elementals here, their respawn rate is SUPER fast. ",
	{
		{id = 52327, rate = 16}, -- Volatile Earth
		{id = "coin", rate = 1744252}, --Direct coin drops and coin from selling grey items after route run
	},
	606, -- Zone ID: Mount Hyjal
	{}, 
	{ -- the route
		66571927, -- [1]
		68052547, -- [2]
		63392280, -- [3]
		59482300, -- [4]
		60861967, -- [5]
	}
)

RegisterTycoonFarmArea("Twilight Highlands Volatile Water",
	"A Volatile Water farming route in TH where you can kill Muddied Water Elementals. With a fishing level of 1 and a pole you can also fish them from pools around here.",
	{
		{id = 52326, rate = 14}, -- Volatile Water
		{id = 53064, rate = 18}, -- Highlands Guppy
		{id = "coin", rate = 407392}, --Direct coin drops and coin from selling grey items after route run
	},
	700, -- Zone ID: Twilight Highlands
	{Fishing = 1}, 
	{ -- the route
		66294812, -- [1]
		63974434, -- [2]
		64534144, -- [3]
		66534372, -- [4]
		69354601, -- [5]
		72165145, -- [6]
		69535135, -- [7]
		67285354, -- [8]
	}
)

RegisterTycoonFarmArea("Uldum Volatile Air",
	"A Volatile Air farming Route. Kill Scion of Al'Akir here, decent drop rate and respawn rate, but they're part of a quest, so you may have competition.",
	{
		{id = 52328, rate = 30}, -- Volatile Air
		{id = "coin", rate = 1497462}, --Direct coin drops and coin from selling grey items after route run
	},
	720, -- Zone ID: Uldum
	{}, 
	{ -- the route
		41123176, -- [1]
		45563494, -- [2]
		39914905, -- [3]
		35944621, -- [4]
		35604048, -- [5]
	}
)
