﻿--Item ids of common materials. Easier to read than numbers.
-- local ItemName(nospaces) = ItemID(Number)
local Cinderbloom = 52983
local Stormvine = 52984
local Heartblossom = 52986
local Whiptail = 52988
local CrystalVial = 3371
local PyriumBar = 51950
local VolatileFire = 52325
local VolatileAir = 52328
local VolatileWater = 52326
local Alicite = 52197
local Nightstone = 52180
local Zephyrite = 52178
local Carnelian = 52177
local Hessonite = 52181
local Jasper = 52182
local PyriumLacedCrystallineVial = 65892
local SandsofTime = 65893
local Truegold = 58480
local FlaskoftheWinds = 58087
local FlaskofTitanicStrength = 58088
local DeepstoneOil = 56850
local ElementiumBar = 52186
local VolatileEarth = 52327
local AzsharasVeil = 52985
local TwilightJasmine = 52987
local VolatileLife = 52329
local AlbinoCavefish = 53065
local DesecratedOil = 87872
local Spinefish = 83064
local Silkweed = 72235
local FoolsCap = 79011
local RainPoppy = 72237
local SnowLilly = 79010
local GreenTeaLeaf = 72234
local GoldenLotus = 72238
local LapisLazuli = 76133
local Alexandrite = 76137
local Roguestone = 76135
local Sunstone = 76134
local TigerOpal = 76130
local WIldJade = 76139
local VermilionOnyx = 76140
local ImperialAmethyst = 76141
local PandarianGarnet = 76136
local GhostIronBar = 72096
local TrilliumBar = 72095
local SpiritOfHarmony = 76061

--[[ TEMPLATE	

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	, -- Item Id of Created Item
	, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
	}
)

]]--

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76090, -- Potion of the Mountains
	114753, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[GreenTeaLeaf] = 1,
		[RainPoppy] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76093, -- Potion of the Jade Serpent
	114757, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[GreenTeaLeaf] = 1,
		[Silkweed] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76083, -- Monk's Elixer
	114758, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[RainPoppy] = 1,
		[Silkweed] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76075, -- Mantid Elixer
	114755, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[GreenTeaLeaf] = 2,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76076, -- Mad Hozen Elixer
	114754, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[RainPoppy] = 2,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76077, -- Elixer of Weaponry
	114756, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[Silkweed] = 2,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	72104, -- Riddle of Steel
	130326, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[TrilliumBar] = 3,
		[SpiritOfHarmony] = 3,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76091, -- Potion of Luck
	114779, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[GoldenLotus] = 3,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	72104, -- Transmute: Living Steel
	114780, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[TrilliumBar] = 6,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	72095, -- Transmute: TrrilliumBar
	114783, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[GhostIronBar] = 10,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76131, -- Transmute: Primordial Ruby
	114784, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[PandarianGarnet] = 1,
		[GoldenLotus] = 1,
	}
)


RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76092, -- Potion of Focus
	114782, -- Spell ID of the tradeskll Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[SnowLilly] = 2,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76140, -- Transmute: Vermilion Onyx
	114776, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[TigerOpal] = 1,
		[GoldenLotus] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76142, -- Transmute: Sun's Radiance
	114778, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[Sunstone] = 1,
		[GoldenLotus] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76141, -- Transmute: Imperial Amethyst
	114777, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[Roguestone] = 1,
		[GoldenLotus] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76098, -- Master Mana Potion
	114775, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 2,
		[SnowLilly] = 1,
		[GreenTeaLeaf] = 1,
		[FoolsCap] = 1,
	},
	2
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76096, -- Darkwater Potion
	114774, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[DesecratedOil] = 3,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76139, -- Transmute: Wild Jade
	114767, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[Alexandrite] = 1,
		[GoldenLotus] = 1,
	}
)




RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76138, -- Transmute: River's Heart
	114766, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[LapisLazuli] = 1,
		[GoldenLotus] = 1,
	}
)


RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76088, -- Flask of Winter's Bite
	114773, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[FoolsCap] = 4,
		[GoldenLotus] = 1,
	}
)


RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76085, -- Flask of the Warm Sun
	114771, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[Silkweed] = 1,
		[GoldenLotus] = 1,
	}
)


RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76087, -- Flask of the Earth
	114770, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[RainPoppy] = 4,
		[GoldenLotus] = 1,
	}
)


RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76084, -- Flask of Spring Blossoms
	114769, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[SnowLilly] = 4,
		[GoldenLotus] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76086, -- Flask of Falling Leaves
	114772, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[GreenTeaLeaf] = 4,
		[GoldenLotus] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76089, -- Virmen's Bite
	114765, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[GreenTeaLeaf] = 1,
		[SnowLilly] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76095, -- Potion of Mogu Power
	114760, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[GreenTeaLeaf] = 1,
		[FoolsCap] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76078, -- Elixer of the Rapids
	114759, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[RainPoppy] = 1,
		[SnowLilly] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76080, --  Elixer of Perfection
	114762, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[Silkweed] = 1,
		[SnowLilly] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76079, -- Elixer of Peace
	114764, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[CrystalVial] = 1,
		[RainPoppy] = 1,
		[FoolsCap] = 1,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	76081, -- Elixer of Mirrors
	114763, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CrystalVial] = 1,
		[Silkweed] = 1,
		[FoolsCap] = 1,
		-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	87872, -- Desecrated Oil
	114761, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Spinefish] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58488, -- Potion of Treasure Finding -- Item Id of Created Item
	80726, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Cinderbloom] = 8,
		[Stormvine] = 4,
		[Heartblossom] = 6,
		[Whiptail] = 4,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58487, -- Potion of Deepholm -- Item Id of Created Item
	80725, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Heartblossom] = 5,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58480, -- Truegold -- Item Id of Created Item
	80243, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PyriumBar] = 3,
		[VolatileFire] = 10,
		[VolatileAir] = 10,
		[VolatileWater] = 10,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	52303, --Shadowspirit Diamond -- Item Id of Created Item
	80237, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Alicite] = 3,
		[Nightstone] = 3,
		[Zephyrite] = 3,
		[Carnelian] = 3,
		[Hessonite] = 3,
		[Jasper] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	52190, --Inferno Ruby -- Item Id of Created Item
	80245, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Carnelian] = 3,
		[Heartblossom] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	65891, -- Vial of the Sands -- Item Id of Created Item
	93328, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PyriumLacedCrystallineVial] = 1,
		[SandsofTime] = 8,
		[Truegold] = 12,
		[FlaskoftheWinds] = 8,
		[FlaskofTitanicStrength] = 8,
		[DeepstoneOil] = 8,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	51950, -- Pyrium Bar -- Item Id of Created Item
	80244, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ElementiumBar] = 1,
		[VolatileEarth] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	52195, -- Amberjewel -- Item Id of Created Item
	80247, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Alicite] = 3,
		[Whiptail] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	52191, -- Ocean Sapphire -- Item Id of Created Item
	80246, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Zephyrite] = 3,
		[AzsharasVeil] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	52194, -- DemonsEye -- Item Id of Created Item
	80248, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Nightstone] = 3,
		[TwilightJasmine] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58088, -- Flask of Titanic Strength -- Item Id of Created Item
	80723, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileLife] = 8,
		[Cinderbloom] = 8,
		[Whiptail] = 8,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58087, -- Flask of the Winds-- Item Id of Created Item
	80721, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileLife] = 8,
		[AzsharasVeil] = 8,
		[Whiptail] = 8,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	52193, -- Ember Topaz -- Item Id of Created Item
	80250, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Hessonite] = 3,
		[Cinderbloom] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58086, -- Flask of the Draconic Mind-- Item Id of Created Item
	80720, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileLife] = 8,
		[AzsharasVeil] = 8,
		[TwilightJasmine] = 8,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	52192, -- Dream Emerald -- Item Id of Created Item
	80251, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Jasper] = 3,
		[Stormvine] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58085, --Flask of Steelskin -- Item Id of Created Item
	80719, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileLife] = 8,
		[Cinderbloom] = 8,
		[TwilightJasmine] = 8,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	67438, -- Flask of Flowing Water -- Item Id of Created Item
	94162, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileLife] = 8,
		[Stormvine] = 8,
		[Heartblossom] = 8,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	57191, -- Mythical Healing Potion -- Item Id of Created Item
	80498, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileLife] = 1,
		[TwilightJasmine] = 2,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58148, -- Elixer of the Master -- Item Id of Created Item
	80497, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[TwilightJasmine] = 1,
		[Heartblossom] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58146, -- Golemblood Potion -- Item Id of Created Item
	80496, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileLife] = 1,
		[Heartblossom] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58144, -- Elixer of Mighty Speed -- Item Id of Created Item
	80493, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Stormvine] = 1,
		[TwilightJasmine] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58145, -- Potion of the Tol'Vir -- Item Id of Created Item
	80495, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Stormvine] = 1,
		[Whiptail] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	57192, -- Mythical Mana Potion -- Item Id of Created Item
	80494, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Cinderbloom] = 1,
		[Whiptail] = 2,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58413, -- Prismatic Elixer -- Item Id of Created Item
	80492, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Cinderbloom] = 1,
		[Whiptail] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58094, -- Elixer of Impossible Accuracy -- Item Id of Created Item
	80491, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Cinderbloom] = 1,
		[Heartblossom] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	57193, -- Mighty Rejuvenation Potion -- Item Id of Created Item
	80490, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Whiptail] = 2,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58093, -- Elixer of Deep Earth -- Item Id of Created Item
	80488, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Heartblossom] = 2,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	57099, -- Mysterious Potion -- Item Id of Created Item
	80487, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[DeepstoneOil] = 2,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	56850, -- Deepstone Oil -- Item Id of Created Item
	80486, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[AlbinoCavefish] = 1,-- [ Reagent Name] = # Required,
	},
	2
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	57194, -- Potion of Concentration -- Item Id of Created Item
	80482, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[AzsharasVeil] = 2,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	50892, -- Elixer of the Cobra -- Item Id of Created Item
	80484, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[AzsharasVeil] = 1,
		[Cinderbloom] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58489, -- Potion of Illusion -- Item Id of Created Item
	80269, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileLife] = 3,
		[AzsharasVeil] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	},
	2
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58091, -- Volcanic Potion -- Item Id of Created Item
	80481, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Cinderbloom] = 1,
		[AzsharasVeil] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58089, -- Elixer of the Naga -- Item Id of Created Item
	80480, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Stormvine] = 1,
		[AzsharasVeil] = 1,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58142, -- Deathbloom Venom -- Item Id of Created Item
	80479, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Stormvine] = 2,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	},
	2
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58084, -- Ghost Elixer -- Item Id of Created Item
	80477, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Cinderbloom] = 2,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Alchemy", -- English Profession Name	
	58090, -- Earthen Potion -- Item Id of Created Item
	80478, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Stormvine] = 2,
		[CrystalVial] = 1,-- [ Reagent Name] = # Required,
	}
)
