﻿--Item ids of common materials. Easier to read than numbers.
-- local ItemName(nospaces) = ItemID(Number)
local HardenedElementiumBar = 53039
local Truegold = 58480
local HandfulofObsidiumBolts = 60224
local ElectrifiedEther = 67749
local ChaosOrb = 52078
local HairTrigger = 39684
local WalnutStock = 40533
local DreamEmerald = 52192
local ElementiumBar = 52186
local VolatileFire = 52325
local SaroniteBar = 36913
local HandfulofCobaltBolts = 39681
local CrystallizedWater = 37705
local ObsidiumBar = 54849
local VolatileAir = 52328
local CuredRuggedHide = 15407
local ThoriumWidget = 15994
local GlobeofWater = 7079
local TruesilverTransformer = 18631
local GoldPowerCore = 10558
local GhostIronBolts = 77467
local HighExplosiveGunpowder = 77468
local MirrorScope = 77531
local LapisLazuli = 76133
local SpiritOfHarmony = 76061
local PrimordialRuby = 76131
local TrilliumBar = 72095
local LordBlastingtonsScopeOfDoom = 77529
local LivingSteel = 72104
local OrbOfMystery = 83092
local Kyparite = 72093

--[[ TEMPLATE	

RegisterTycoonCraft("Engineering", -- English Profession Name	
	, -- Item Id of Created Item - 
	, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
	}
)

]]--

RegisterTycoonCraft("Engineering", -- English Profession Name	
	87250, -- Item Id of Created Item - Depleted-Kyparium Rocket
	127138, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[LivingSteel] = 12,
		[Kyparite] = 200,
		[OrbOfMystery] = 3,
		[HighExplosiveGunpowder] = 12,
		[SpiritOfHarmony] = 12,
		[GhostIronBolts] = 20,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	87251, -- Item Id of Created Item - Geosynchronous World Spinner
	127139, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[LivingSteel] = 12,
		[TrilliumBar] = 12,
		[SpiritOfHarmony] = 12,
		[GhostIronBolts] = 20,
		[OrbOfMystery] = 3,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	86607, -- Item Id of Created Item - Goblin Flame Thrower, Mark II
	127128, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[GhostIronBolts] = 3,
		[HighExplosiveGunpowder] = 8,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	77528, -- Item Id of Created Item - Long-Range Trillium Sniper
	127137, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[TrilliumBar] = 12,
		[HairTrigger] = 1,
		[SpiritOfHarmony] = 1,
		[LordBlastingtonsScopeOfDoom] = 1,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	77529, -- Item Id of Created Item - Lord Blastington's Scope of Doom
	127115, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[GhostIronBolts] = 18,
		[PrimordialRuby] = 2,
		[SpiritOfHarmony] = 1,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	87213, -- Item Id of Created Item - Mist-Piercing Goggles
	127130, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[GhostIronBolts] = 8,
		[SpiritOfHarmony] = 2,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	77531, -- Item Id of Created Item - Mirror Scope 
	127116, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[GhostIronBolts] = 4,
		[LapisLazuli] = 2,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	77527, -- Item Id of Created Item - Big Game Hunter
	127136, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[GhostIronBolts] = 12,
		[HairTrigger] = 1,
		[WalnutStock] = 1,
		[MirrorScope] = 1,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	77589, -- Item Id of Created Item - G91 Landshark
	127127, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[GhostIronBolts] = 2,
		[HighExplosiveGunpowder] = 2,
	},
	3
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	59364, -- Item Id of Created Item Overpowered Chicken Splitter
	84431, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HardenedElementiumBar] = 12,
		[Truegold] = 2,
		[HandfulofObsidiumBolts] = 6,
		[ElectrifiedEther] = 8,
		[ChaosOrb] = 1,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	71077, -- Extreme-Impact Hole Puncher Item Id of Created Item
	71078, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HardenedElementiumBar] = 5,
		[Truegold] = 8,
		[HairTrigger] = 1,
		[WalnutStock] = 1,
		[ChaosOrb] = 5,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	70139, -- Flintlocke's Woodchucker Item Id of Created Item
	70177, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HardenedElementiumBar] = 1, 
		[ElectrifiedEther] = 4,
		[HandfulofObsidiumBolts] = 5,
		[DreamEmerald] = 2,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	59634, -- Overpowered Chicken Splitter. -- Item Id of Created Item
	84431, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HardenedElementiumBar] = 12,
		[Truegold] = 2,
		[HandfulofObsidiumBolts] = 6,
		[ElectrifiedEther] = 8,
		[ChaosOrb] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	59637, -- Kickback 5000 -- Item Id of Created Item
	84432, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HardenedElementiumBar] = 9,
		[Truegold] = 3,
		[HairTrigger] = 1,
		[WalnutStock] = 1,
		[ChaosOrb] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	59594, -- Gnomish X-Ray Scope -- Item Id of Created Item
	84428, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HardenedElementiumBar] = 2,
		[DreamEmerald] = 2,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	60224, -- Handful of Obsidium Bolts -- Item Id of Created Item
	84403, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ObsidiumBar] = 2,-- [ Reagent Name] = # Required,
	},
	4
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	67749, -- ElectrifiedEther -- Item Id of Created Item
	94748, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileAir] = 2,-- [ Reagent Name] = # Required,
	},
	3
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	59597, -- Personal WOrld Destroyer -- Item Id of Created Item
	84412, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ObsidiumBar] = 10,
		[HandfulofObsidiumBolts] = 8,
		[ElectrifiedEther] = 8,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Engineering", -- English Profession Name	
	21277, -- Tranquil Mechanical Yeti -- Item Id of Created Item
	26011, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CuredRuggedHide] = 1,
		[ThoriumWidget] = 4,
		[GlobeofWater] = 2,
		[TruesilverTransformer] = 2,
		[GoldPowerCore] = 1,-- [ Reagent Name] = # Required,
	}
)
