﻿local AddonName,ns = ...
local m = ns:GetModule("Reccomended");
local p = ns:GetModule("PanelAPI");

--local index, c = p.AddPanelTab("Reccomended");
--[[ --TODO: Make this meaningful
local ROWS = 6;
local ROWHEIGHT = floor((c:GetHeight() - TYCOON_PANEL_CONTENT_TITLE_HEIGHT) / ROWS)

local selected;

--TOOD: replace this and referneces in update frame with actual route
local data = {}
local addPH = {}
addPH[68809] = {10000, 20}
addPH[64488] = {50000, 5}


for i = 1, 12 do
	data[i] = {route = "Route "..i, item = 6948, desc = "This is a route description!",
		price = 5000 * i, 
		rate = 10 * i,
		competition = mod(2*i, 5),
		trend = mod(i, 5),
		additional = mod(i,2) == 0 and addPH,
	}
end

--Adjust width to make room for scrollbar if added
--c:SetWidth(c:GetWidth()-26)

--Create Scroll Bar, requires name
--local f = CreateFrame("ScrollFrame", "TCPG_Scroll", c, "FauxScrollFrameTemplate")
--f:SetWidth(c:GetWidth())
--f:SetPoint("TOPLEFT", c, "TOPLEFT", 0, -4)
--f:SetPoint("BOTTOMLEFT", c, "BOTTOMLEFT", 0 ,4)
--local scrollbar = f;

--local f = CreateFrame("Frame", nil, scrollbar)
--f:SetSize(28, scrollbar:GetHeight()+10)
--f:SetPoint("TOPLEFT", scrollbar, "TOPRIGHT", 0, 6)
--f:SetBackdrop({
	--edgeFile = "Interface/Tooltips/UI-Tooltip-Border", tile = true,
	--edgeSize = 12, tileSize = 16, insets = {left = 0, right = 0, top = 0, bottom = 0},
--})

local static = 42; --add static widths here
local columns = {
	{name = "Route", width = (c:GetWidth() - static)*.30 },
	{name = "Avg. Price", width = (c:GetWidth() - static)*.18 },
	{name = "Est #/Hr", width = (c:GetWidth() - static)*.12 },
	{name = "Competition", width = (c:GetWidth() - static)*.12 },
	{name = "Trend", width = (c:GetWidth() - static)*.10 },
	{name = "Add.", width = 42 },
	{name = "Total Est. G/Hr", width = (c:GetWidth() - static)*.18 },
}

--Create Header Container
local headers = CreateFrame("Frame", nil, c, nil);
headers:SetSize(c:GetWidth(), TYCOON_PANEL_CONTENT_TITLE_HEIGHT);
headers:SetPoint("TOP");

--Create Row Containers
local rows = {};

local function RowOnClick(self)
		local offset = FauxScrollFrame_GetOffset(scrollbar);
		if(selected and rows[selected-offset]) then rows[selected-offset]:UnlockHighlight() end
		selected = self:GetID() + offset;
		self:LockHighlight();
end

local function RowOnEnter(self)
	self:LockHighlight();
end

local function RowOnLeave(self)
	local offset = FauxScrollFrame_GetOffset(scrollbar);
	if((not selected) or selected - offset ~= self:GetID()) then
		self:UnlockHighlight()
	end
end

local previous = headers;
for i = 1, ROWS do
	local r = CreateFrame("BUTTON", nil, c, nil, i)
	r:SetSize(c:GetWidth(), ROWHEIGHT)
	r:SetPoint("TOP", previous, "BOTTOM")
	previous = r;
	
	local left = r:CreateTexture(nil, "BACKGROUND")
	local right = r:CreateTexture(nil, "BACKGROUND")
	local center = r:CreateTexture(nil, "BACKGROUND")
	left:SetTexture("Interface\\AuctionFrame\\UI-AuctionItemNameFrame")
	right:SetTexture("Interface\\AuctionFrame\\UI-AuctionItemNameFrame")
	center:SetTexture("Interface\\AuctionFrame\\UI-AuctionItemNameFrame")
	left:SetSize(10, ROWHEIGHT)
	right:SetSize(10, ROWHEIGHT)
	center:SetSize(10, ROWHEIGHT)
	left:SetPoint("LEFT", r, "LEFT")
	right:SetPoint("RIGHT", r, "RIGHT")
	center:SetPoint("LEFT", left, "RIGHT")
	center:SetPoint("RIGHT", right, "LEFT")
	left:SetTexCoord(0, 0.078125, 0, 1)
	right:SetTexCoord(0.75, 0.828125, 0, 1)
	center:SetTexCoord(0.078125, .75, 0, 1)
	
	r:SetHighlightTexture("Interface\\HelpFrame\\HelpFrameButton-Highlight")
	r:GetHighlightTexture():SetTexCoord(0, 1, 0, .578125)
	
	r:SetScript("OnClick", RowOnClick);
	r:SetScript("OnLeave", RowOnLeave);
	
	tinsert(rows, r)
end
	
--create headers
local previous = headers;
for k,v in pairs(columns) do
	local h = CreateFrame("BUTTON", nil, headers, nil, k)
	h:SetSize(v.width, headers:GetHeight())
	h:SetPoint("LEFT", previous, k==1 and "LEFT" or "RIGHT")
	previous = h;
	
	local left = h:CreateTexture(nil, "BACKGROUND")
	local right = h:CreateTexture(nil, "BACKGROUND")
	local center = h:CreateTexture(nil, "BACKGROUND")
	left:SetTexture("Interface\\AuctionFrame\\UI-AuctionItemNameFrame")
	right:SetTexture("Interface\\AuctionFrame\\UI-AuctionItemNameFrame")
	center:SetTexture("Interface\\AuctionFrame\\UI-AuctionItemNameFrame")
	left:SetSize(10, h:GetHeight())
	right:SetSize(10, h:GetHeight())
	center:SetSize(10, h:GetHeight())
	left:SetPoint("LEFT", h, "LEFT")
	right:SetPoint("RIGHT", h, "RIGHT")
	center:SetPoint("LEFT", left, "RIGHT")
	center:SetPoint("RIGHT", right, "LEFT")
	left:SetTexCoord(0, 0.078125, 0, 1)
	right:SetTexCoord(0.75, 0.828125, 0, 1)
	center:SetTexCoord(0.078125, .75, 0, 1)
	
	local htext = h:CreateFontString(nil, "OVERLAY", "GameFontHighlight")
	htext:SetAllPoints(true)
	htext:SetJustifyH("CENTER")
	htext:SetJustifyV("CENTER")
	htext:SetText(v.name)
end

--create rows
for i = 1, ROWS do
	local r = rows[i];
	local col = 0;
	local rc; --holds column container frames for individual rows
	local t; --holds temporary working widgets
	local previous;
	
	col = col + 1
	--Column 1
	rc = CreateFrame("FRAME", nil, r, nil, col)
	rc:SetSize(columns[col].width, r:GetHeight())
	rc:SetPoint("LEFT", r, "LEFT")
	
	t = CreateFrame("BUTTON", nil, rc, nil)
	t:SetSize(32, 32)
	t:SetPoint("LEFT", rc, "LEFT", 5, 0)
	t.icontex = t:CreateTexture(nil, "BORDER")
	t.icontex:SetAllPoints(true)
	t:SetHighlightTexture("Interface\\Buttons\\ButtonHilight-Square","ADD")	
	t:SetScript("OnEnter", function(self) RowOnEnter(self:GetParent():GetParent()) end)
	t:SetScript("OnLeave", function(self) RowOnLeave(self:GetParent():GetParent()) end)
	t:SetScript("OnClick", function(self) RowOnClick(self:GetParent():GetParent()) end)
	r.item = t;
	
	
	t = r.item:CreateTexture(nil, "ARTWORK")
	t:SetSize(60,60)
	t:SetTexture("Interface\\Buttons\\UI-Quickslot2")
	t:SetPoint("CENTER")
	
	t = rc:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
	t:SetPoint("LEFT", r.item, "RIGHT", 5, 0);
	t:SetPoint("RIGHT", rc, "RIGHT", 5, 0);
	t:SetJustifyH("LEFT");
	t:SetJustifyV("CENTER");
	t:SetText("[PH]Name Me!");
	r.route = t;

	previous = rc; col = col+1;
	--Column 2
	rc = CreateFrame("FRAME", nil, r, nil, col)
	rc:SetSize(columns[col].width, r:GetHeight())
	rc:SetPoint("LEFT", previous, "RIGHT")
	
	--SmallMoneyFrameTemplate requires a frame name
	t = CreateFrame("Frame", "TCP_G_AVG_"..i, rc, "SmallMoneyFrameTemplate", col);
	t:SetPoint("CENTER", rc, "CENTER");
	MoneyFrame_SetType(t, "AUCTION");
	r.avgprice = t;
	
	previous = rc; col = col+1;
	--Column 3
	rc = CreateFrame("FRAME", nil, r, nil, col)
	rc:SetSize(columns[col].width, r:GetHeight())
	rc:SetPoint("LEFT", previous, "RIGHT")
	
	t = rc:CreateFontString(nil, "OVERLAY", "GameFontGreen");
	t:SetPoint("LEFT", rc, "LEFT", 5, 0);
	t:SetPoint("RIGHT", rc, "RIGHT", 5, 0);
	t:SetJustifyH("CENTER");
	t:SetJustifyV("CENTER");
	t:SetText("[PH]150");
	r.perhour = t;
	
	previous = rc; col = col+1;
	--Column 4
	rc = CreateFrame("FRAME", nil, r, nil, col)
	rc:SetSize(columns[col].width, r:GetHeight())
	rc:SetPoint("LEFT", previous, "RIGHT")
	
	t = p.CreateSignalBars(nil, rc, col)
	t:SetPoint("CENTER", rc, "CENTER")
	r.competition = t;
	
	previous = rc; col = col+1;
	--Column 5
	rc = CreateFrame("FRAME", nil, r, nil, col)
	rc:SetSize(columns[col].width, r:GetHeight())
	rc:SetPoint("LEFT", previous, "RIGHT")
	
	t = p.CreateSignalBars(nil, rc, col)
	t:SetPoint("CENTER", rc, "CENTER")
	r.trend = t;
	
	previous = rc; col = col+1;
	--Column 6
	rc = CreateFrame("FRAME", nil, r, nil, col)
	rc:SetSize(columns[col].width, r:GetHeight())
	rc:SetPoint("LEFT", previous, "RIGHT")
	
	t = CreateFrame("BUTTON", nil, rc, nil)
	t:SetSize(32, 32)
	t:SetPoint("LEFT", rc, "LEFT", 5, 0)
	t.icontex = t:CreateTexture(nil, "BORDER")
	t.icontex:SetAllPoints(true)
	t:SetScript("OnEnter", function(self) RowOnEnter(self:GetParent():GetParent()) end)
	t:SetScript("OnLeave", function(self) RowOnLeave(self:GetParent():GetParent()) end)
	t:SetScript("OnClick", function(self) RowOnClick(self:GetParent():GetParent()) end)
	--r.add:SetHighlightTexture("Interface\\Buttons\\ButtonHilight-Square","ADD")
	r.add = t
	
	t = r.add:CreateTexture(nil, "ARTWORK")
	t:SetSize(60,60)
	t:SetTexture("Interface\\Buttons\\UI-Quickslot2")
	t:SetPoint("CENTER")
	
	previous = rc; col = col+1;
	--Column 7
	rc = CreateFrame("FRAME", nil, r, nil, col)
	rc:SetSize(columns[col].width, r:GetHeight())
	rc:SetPoint("LEFT", previous, "RIGHT")
	
	--SmallMoneyFrameTemplate requires a frame name
	t = CreateFrame("Frame", "TCP_G_EST_"..i, rc, "SmallMoneyFrameTemplate", col);
	t:SetPoint("CENTER", rc, "CENTER");
	MoneyFrame_SetType(t, "AUCTION");
	r.estimate = t;
end

--Create GO button
local f = CreateFrame("BUTTON", nil, c, nil);
f:SetSize(154,43)
f:SetPoint("BOTTOMRIGHT", c:GetParent(), "BOTTOMRIGHT", -28, 7)
f:SetNormalTexture('Interface\\AddOns\\Tycoon\\Media\\Tycoon_Panel_Go')
f:GetNormalTexture():SetTexCoord(0, 0.59765625, 0, 0.1640625);
f:SetHighlightTexture('Interface\\AddOns\\Tycoon\\Media\\Tycoon_Panel_Go')
f:GetHighlightTexture():SetTexCoord(0, 0.59765625, 0.1640625, 0.33203125);

--TODO: GoButtonOnClick

--Update information displayed
local function FrameUpdate()
	local offset = FauxScrollFrame_GetOffset(scrollbar);
	local index, row, route;
	
	local itemName, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture, itemSellPrice;
	
	for i = 1, ROWS do
		index = offset + i;	
		route = data[index];
		row = rows[i];
		
		--Column 1
		itemName, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture, itemSellPrice = GetItemInfo(route.item);
		row.item.icontex:SetTexture(itemTexture)
		row.route:SetText(route.route)
		
		--Column 2
		MoneyFrame_Update(row.avgprice, route.price)
		
		--Column 3
		row.perhour:SetText(route.rate)
		
		--Column 4
		row.competition:SetStrength(route.competition);
		
		--Column 5
		row.trend:SetStrength(route.trend);
		
		--Column 6
		if(route.additional) then
			row.add.icontex:SetTexture("Interface\\Icons\\INV_Misc_Bag_10")
		else
			row.add.icontex:SetTexture("Interface\\PaperDoll\\UI-PaperDoll-Slot-Bag")
		end
		
		--Column 7
		local total = route.price * route.rate;
		if route.additional then
			for k, v in pairs(route.additional) do
				total = total + v[1] * v[2]
			end
		end
		MoneyFrame_Update(row.estimate, total)
		
		--Highlight
		if(selected and index == selected) then
			row:LockHighlight()
		else
			row:UnlockHighlight()
		end
	end
	
	--Update scrollframe
	FauxScrollFrame_Update(scrollbar, #data, 6, ROWHEIGHT)
end
m.FrameUpdate = FrameUpdate;
scrollbar:SetScript("OnVerticalScroll", function(self, offset) FauxScrollFrame_OnVerticalScroll(self, offset, ROWHEIGHT, FrameUpdate) end);

c:SetScript("OnShow", FrameUpdate);
]]
		