
RegisterTycoonFarmArea("Townlong Steppes",
	" A gathering route for Exotic and other Pandaria Leathers. You can kill the following beasts in this area to get your skins. Rankbite Tortise, Longshadow Mushan, Longshadow Bull, Rankbite Ancient, Fluttering Moth, Painted Stag, and Spotted Catipiller.",
	{  -- Items
		{id = 72120, rate = 144}, -- Exotic Leather
		{id = 72162, rate = 16}, -- Sha Touched Leather
		{id = 79101, rate = 32}, -- Prismatic Scale
		{id = 89112, rate = 4}, -- Mote of Harmony
		{id = 74837, rate = 24}, -- Raw Turtle Meat
		{id = 74834, rate = 12}, -- Mushan Ribs
		{id = "coin", rate = 340095}, --Direct coin drops
	},
	810, -- ZoneMapAreaID: Townlong Steppes
	{Skinning = 475}, -- Required Profession: Skinning
	{  -- The Route
		60744970, -- [1]
		65595524, -- [2]
		65656077, -- [3]
		62246053, -- [4]
		59876499, -- [5]
		60177090, -- [6]
		61647772, -- [7]
		60478388, -- [8]
		55298285, -- [9]
		56607823, -- [10]
		55337093, -- [11]
		50497096, -- [12]
		49226213, -- [13]
		52166162, -- [14]
		58285702, -- [15]
		58095211, -- [16]
	}
)

RegisterTycoonFarmArea("Deepholm Savage Leather North",
	" A basic Savage Leather Gathering route in Northern Deepholm.",
	{  -- Items
		{id = 52976, rate = 47}, -- Savage Leather
		{id = 52977, rate = 182}, -- Savage Leather Scraps
	},
	640, -- ZoneMapAreaID: Deepholm
	{Skinning = 475}, -- Required Profession: Skinning
	{  -- The Route
		36472963, -- [1]
		34762322, -- [2]
		39092091, -- [3]
		43651913, -- [4]
		47031734, -- [5]
		47022143, -- [6]
		49222142, -- [7]
		47912683, -- [8]
		46142762, -- [9]
		45912956, -- [10]
		44213036, -- [11]
		43283013, -- [12]
		42693340, -- [13]
		41543337, -- [14]
		40463540, -- [15]
		39173326, -- [16]
		37363290, -- [17]
	}
)

RegisterTycoonFarmArea("Deepholm Savage Leather South",
	" A basic Savage Leather Gathering route in Southern Deepholm.",
	{  -- Items
		{id = 52976, rate = 140}, --Savage Leather
	},
	640, -- ZoneMapAreaID: Deepholm
	{Skinning = 475}, -- Required Profession: Skinning
	{  -- The Route
		50698213, -- [1]
		52378043, -- [2]
		55838448, -- [3]
		57218297, -- [4]
		58838337, -- [5]
		59318152, -- [6]
		61088136, -- [7]
		61158401, -- [8]
		56768917, -- [9]
		55418822, -- [10]
		54238549, -- [11]
		50678564, -- [12]
	}
)

RegisterTycoonFarmArea("Mount Hyjal Savage Leather Pre-Phase",
	"An area where you can kill Twilight Dragonkin, and Armorers for their skins on Mount Hyjal. You can only get these if you haven't started the firelands daily quests as this phases out as soon as you start that. The only other place to get Dragonscales is Instances.",
	{--Items
		{id = 52976, rate = 47}, --Gathering Item ID and rate of collection/hour: Savage Leather
		{id = 52977, rate = 247}, --Gathering Item ID and rate of collection/hour: Savage Leather Scraps
		{id = 52979, rate = 22}, --Gathering Item ID and rate of collection/hour: Blackened Dragonscale
	},
	606, --ZoneMapAreaID: Mount Hyjal
	{Skinning = 400}, --Required Profession: Skinning
	{--The route
		29537557, -- [1]
		32417407, -- [2]
		32257965, -- [3]
		32088597, -- [4]
		34469084, -- [5]
		36609526, -- [6]
		32819727, -- [7]
		31359222, -- [8]
		29518088, -- [9]
	})

RegisterTycoonFarmArea("Twilight Highlands Savage Leather",
	"Shows the area you can go to kill Highland Worgs, Tawny Owls, Highland Elk, and Untamed Gryphons to skin for leather. ",
	{--Items
		{id = 52976, rate = 118}, --Gathering Item ID and rate of collection/hour: Savage Leather
	},
	700, --ZoneMapAreaID: Twilight Highlands
	{Skinning = 495}, --Required Profession: Skinning
	{--The route
		68652197, -- [1]
		71022575, -- [2]
		72113133, -- [3]
		65843187, -- [4]
		63392724, -- [5]
		65972149, -- [6]
	})

RegisterTycoonFarmArea("Vashjir Kelpthar Forest Savage Leather",
	"Shows the area you can kill Slitherfin Eels, Splitclaw Skitterers, Sabreclaw Skitterers, and Ravenous Threshers for their skins in Kelp'Thar Forest.",
	{--Items
		{id = 52976, rate = 54}, --Gathering Item ID and rate of collection/hour: Savage Leather
		{id = 52977, rate = 263}, --Gathering Item ID and rate of collection/hour: Savage Leather Scraps
		{id = 52982, rate = 19}, --Gathering Item ID and rate of collection/hour: Deepsea Scale
	},
	610, --ZoneMapAreaID: Vash'jir: Kelp'Thar Forest
	{Skinning = 400}, --Required Profession: Skinning
	{--The route
		48131864, -- [1]
		56652175, -- [2]
		59362921, -- [3]
		57593380, -- [4]
		54213379, -- [5]
		45903480, -- [6]
		40462879, -- [7]
		43701893, -- [8]
	})

RegisterTycoonFarmArea("The Storm Peaks Jormungar Scale", 
	"A route for obtaining Jormungar Scale skins. Go into the Hibernal cave at the south end of the route and kill all the mobs within and just outside the cave. Roaming Jormungar, Ravenous Jormungar",
	{ -- Items
		{id = 38561, rate = 16}, -- Jormungar Scale
		{id = 43013, rate = 12}, -- Chilled Meat
		{id = 33568, rate = 60}, -- Borean Leather
		{id = 44128, rate = 4}, -- Arctic Fur
		{id = 43010, rate = 44}, -- Worm Meat
		{id = "coin", rate = 211044}, --Direct coin drops and coin from selling grey items after route run
	},
	495, -- ZoneMapAreaID: The Storm Peaks
	{Skinning = 400}, -- Required Profession: Skinning
	{ -- The Route
		54526060, -- [1]
		56856393, -- [2]
		55036431, -- [3]
	}
)

RegisterTycoonFarmArea("Sholazar Basin Icy Dragonscale", 
	"An area in Sholazar Basin where you can skin for Icy Dragonscales. Primordial Drake",
	{ -- Items
		{id = 38557, rate = 20}, -- Icy Dragonscale
		{id = 43013, rate = 52}, -- Chilled Meat
		{id = 33568, rate = 80}, -- Borean Leather
		{id = "coin", rate = 127872}, --Direct coin drops and coin from selling grey items after route run
	},
	493, -- ZoneMapAreaID: ZoneName
	{Skinning = 385}, -- Required Profession: Skinning
	{ -- The Route
		47532070, -- [1]
		49182208, -- [2]
		48143092, -- [3]
		45033204, -- [4]
		45172369, -- [5]
	}
)

RegisterTycoonFarmArea("Sholazar Basin Borean Leather", 
	"An area in Sholazar Basin good for skinning Borean Leather. Hardknuckle Forager, Hardknuckle Charger",
	{ -- Items
		{id = 33568, rate = 212}, -- Borean Leather
		{id = 43013, rate = 160}, -- Chilled Meat
		{id = 44128, rate = 4}, -- Arctic Fur
		{id = "coin", rate = 535008}, --Direct coin drops and coin from selling grey items after route run
	},
	493, -- ZoneMapAreaID: Sholazar Basin
	{Skinning = 385}, -- Required Profession = profession level required
	{ -- The Route
		63807453, -- [1]
		60527390, -- [2]
		55817774, -- [3]
		54997550, -- [4]
		59566922, -- [5]
		61186895, -- [6]
		62756953, -- [7]
		64307011, -- [8]
		66516853, -- [9]
		69056861, -- [10]
		73316982, -- [11]
		72737479, -- [12]
		69267688, -- [13]
		66567905, -- [14]
		64028110, -- [15]
	}
)

RegisterTycoonFarmArea("Shadowmoon Valley Cobra Scale", 
	"An area in Shadowmoon valley to obtain Cobra Scales from skinning. Enter the cave here and kill all the Coilskar Cobras.",
	{ -- Items
		{id = 29539, rate = 8}, -- Cobra Scales
		{id = 21887, rate = 40}, -- Knothide Leather
		{id = 25649, rate = 60}, -- Knothide Leather Scraps
		{id = "coin", rate = 73440}, --Direct coin drops and coin from selling grey items after route run
	},
	473, -- ZoneMapAreaID: Shadowmoon Valley
	{Skinning = 340}, -- Required Profession: Skinning
	{ -- The Route
		54521941, -- [1]
		56072165, -- [2]
		54172575, -- [3]
		52442598, -- [4]
		51282126, -- [5]
	}
)

RegisterTycoonFarmArea("Shadowmoon Valley Nether Dragon Scale", 
	"A small area in Shadowmoon Valley where you can skin Nether Dragon Scale. Netherwing Whelps",
	{ -- Items
		{id = 29548, rate = 12}, -- Nether Dragon Scale
		{id = 21887, rate = 12}, -- Knothide Leather
		{id = 25649, rate = 168}, -- Knothide Leather Scraps
		{id = "coin", rate = 104580}, --Direct coin drops and coin from selling grey items after route run
	},
	473, -- ZoneMapAreaID: Shadowmoon Valley
	{Skinning = 345}, -- Required Profession = profession level required
	{ -- The Route
		70215745, -- [1]
		71305905, -- [2]
		68815986, -- [3]
	}
)

RegisterTycoonFarmArea("Blade's Edge Mountains Fel Hide", 
	"An area in Blade's Edge Mountains where you can skin Wrath Hounds to obtain Fel Hides",
	{ -- Items
		{id = 25707, rate = 12}, -- Fel hide
		{id = 21887, rate = 48}, -- Knothide Leather
		{id = "coin", rate = 70206}, --Direct coin drops and coin from selling grey items after route run
	},
	475, -- ZoneMapAreaID: Blade's Edge Mountains
	{Skinning = 355}, -- Required Profession = profession level required
	{ -- The Route
		38543577, -- [1]
		38864140, -- [2]
		34944683, -- [3]
		30494136, -- [4]
		30823962, -- [5]
		32943701, -- [6]
		34683698, -- [7]
	}
)

RegisterTycoonFarmArea("Nagrand Thick Clefthoof Leather", 
	"An area in Nagrand you can skin Aged Clefthoof, Clefthoof Bull, Clefthoof, and Banthar to obtain Thick Clefthoof Leather. Be sure to look out for elites!",
	{ -- Items
		{id = 25708, rate = 30}, -- Thick Clefthoof Leather
		{id = 21887, rate = 78}, -- Knothide LEather
		{id = 25649, rate = 192}, -- Knothide Leather Scraps
		{id = "coin", rate = 302116}, --Direct coin drops and coin from selling grey items after route run
	},
	477, -- ZoneMapAreaID: Nagrand
	{Skinning = 335}, -- Required Profession = profession level required
	{ -- The Route
		29265960, -- [1]
		34465905, -- [2]
		37385615, -- [3]
		42386045, -- [4]
		46176152, -- [5]
		47546873, -- [6]
		48137535, -- [7]
		46997808, -- [8]
		42497845, -- [9]
		40728379, -- [10]
		28437895, -- [11]
	}
)

RegisterTycoonFarmArea("Blade's Edge Mountains Wind Scale", 
	"An area in Blade's Edge Mountains you can kill and skin Felsworn Scalewing and Felsworn Daggermaw to obtain Wind Scales",
	{ -- Items
		{id = 29547, rate = 12}, -- Wind Scale
		{id = 21887, rate = 90}, -- Knothide Leather
		{id = 25649, rate = 42}, -- Knothide Leather Scraps
		{id = "coin", rate = 204460}, --Direct coin drops and coin from selling grey items after route run
	},
	475, -- ZoneMapAreaID: Blade's Edge Mountains
	{Skinning = 335}, -- Required Profession = profession level required
	{ -- The Route
		72892802, -- [1]
		72553566, -- [2]
		68813560, -- [3]
		69323181, -- [4]
		70922906, -- [5]
		71942513, -- [6]
		74622514, -- [7]
	}
)

RegisterTycoonFarmArea("Blade's Edge Mountains Crystal Infused Leather", 
	"An area in Blade's Edge Mountains where you can skin Shard-Hide Boar and Aether Ray to obtain Crystal Infused Leather, Fel Scale, and Knothide Leather.",
	{ -- Items
		{id = 25699, rate = 16}, -- Crystal Infused Leather
		{id = 25700, rate = 36}, -- Fel Scale
		{id = 21887, rate = 92}, -- KNothide Leather
		{id = 25649, rate = 84}, -- Knothide Leather Scraps
		{id = "coin", rate = 300044}, --Direct coin drops and coin from selling grey items after route run
	},
	475, -- ZoneMapAreaID: Blade's Edge Mountains
	{Skinning = 355}, -- Required Profession = profession level required
	{ -- The Route
		30314195, -- [1]
		34374743, -- [2]
		32077374, -- [3]
		26517378, -- [4]
		27856066, -- [5]
		30235625, -- [6]
		27845356, -- [7]
	}
)

RegisterTycoonFarmArea("Silithus Silithid Chitin", 
	"An area in Silithus you can kill and skin Hive'Ashi Sandstalkers, Hive'Ashi Workers, Hive'Ashi Swarmers, Hive'Ashi Drones, and Hive'Ashi Defenders to obtain Silithid Chitin.",
	{ -- Items
		{id = 20498, rate = 60}, -- Silithid Chitin
		{id = 20500, rate = 15}, -- Light Silithid Carapace
		{id = "coin", rate = 98475}, --Direct coin drops and coin from selling grey items after route run
	},
	261, -- ZoneMapAreaID: Silithus
	{Skinning = 290}, -- Required Profession = profession level required
	{ -- The Route
		48871482, -- [1]
		51021614, -- [2]
		54162581, -- [3]
		51203072, -- [4]
		46882923, -- [5]
		45681629, -- [6]
	}
)

RegisterTycoonFarmArea("Silithus Heavy Scorpid Scale", 
	"An area in Silithus you can kill and skin Stonelash Flayers, Stonelash Pincer, and Drudge Crushers to get Heavy Scorpid Scale.",
	{ -- Items
		{id = 15408, rate = 48}, -- Heavy Scorpid Scale
		{id = 4304, rate = 102}, -- Thick Leather
		{id = 8170, rate = 90}, -- Rugged Leather
		{id = 8171, rate = 6}, -- Rugged Hide
		{id = 19933, rate = 30}, -- Glowing Scorpid Blood
		{id = "coin", rate = 192474}, --Direct coin drops and coin from selling grey items after route run
	},
	261, -- ZoneMapAreaID: Silithus
	{Skinning = 280}, -- Required Profession = profession level required
	{ -- The Route
		36812960, -- [1]
		44754600, -- [2]
		47324145, -- [3]
		60134985, -- [4]
		67576322, -- [5]
		58715867, -- [6]
		48626029, -- [7]
		40336002, -- [8]
		36463979, -- [9]
	}
)

RegisterTycoonFarmArea("Un'Goro Crater Devilsaur Leather", 
	"A spot in Un'Goro Crater where you can kill and skin Devilsaur Queen. Stay here and wait it's got only a 25 second respawn.",
	{ -- Items
		{id = 15417, rate = 30}, -- Devilsaur Leather
		{id = 8171, rate = 12}, -- Rugged Hide
		{id = 8170, rate = 6}, -- Rugged Leather
		{id = "coin", rate = 121176}, --Direct coin drops and coin from selling grey items after route run
	},
	201, -- ZoneMapAreaID: Un'Goro Crater
	{Skinning = 270}, -- Required Profession = profession level required
	{ -- The Route
		33478041, -- [1]
		36188187, -- [2]
		34368268, -- [3]
	}
)

RegisterTycoonFarmArea("Tanaris Turtle Scale", 
	"An area in Tanaris you can kill and skin Steeljaw Snappers to get Turtle Scales.",
	{ -- Items
		{id = 8167, rate = 72}, -- Turtle Scale
		{id = 4232, rate = 20}, -- Heavy Leather
		{id = 4304, rate = 20}, -- Thick Leather
		{id = "coin", rate = 37280}, --Direct coin drops and coin from selling grey items after route run
	},
	161, -- ZoneMapAreaID: Tanaris
	{Skinning = 230}, -- Required Profession = profession level required
	{ -- The Route
		63032228, -- [1]
		64442344, -- [2]
		65821986, -- [3]
		65362654, -- [4]
		68763074, -- [5]
		67983528, -- [6]
		68344011, -- [7]
		59054332, -- [8]
		55563601, -- [9]
		53433322, -- [10]
		54942613, -- [11]
	}
)

RegisterTycoonFarmArea("Winterspring Thick Leather", 
	"An area in Winterspring you can kill and skin Chillwind Chimaera for Thick Leather",
	{ -- Items
		{id = 8171, rate = 8}, -- Rugged Hide
		{id = 4304, rate = 72}, -- Thick Leather
		{id = 8170, rate = 40}, -- Rugged Leather
		{id = "coin", rate = 96608}, --Direct coin drops and coin from selling grey items after route run
	},
	281, -- ZoneMapAreaID: Winterspring
	{Skinning = 285}, -- Required Profession = profession level required
	{ -- The Route
		58441956, -- [1]
		58632790, -- [2]
		60923108, -- [3]
		60723428, -- [4]
		59153637, -- [5]
		55703129, -- [6]
		56112873, -- [7]
		55852444, -- [8]
		54572229, -- [9]
	}
)

RegisterTycoonFarmArea("Feralas Green Whelp Scale", 
	"An area in Feralas where you can skin Noxious Whelp to get Green Whelp Scale",
	{ -- Items
		{id = 2319, rate = 56}, -- Medium Leather
		{id = 4234, rate = 73}, -- Heavy Leather
		{id = 4232, rate = 7}, -- Medium Hide
		{id = 4235, rate = 3}, -- Heavy Hide
		{id = 7392, rate = 20}, -- Green Whelp Scale
		{id = "coin", rate = 60600}, --Direct coin drops and coin from selling grey items after route run
	},
	121, -- ZoneMapAreaID: Feralas
	{Skinning = 175}, -- Required Profession = profession level required
	{ -- The Route
		55280879, -- [1]
		54081312, -- [2]
		53730802, -- [3]
		49550550, -- [4]
		48671224, -- [5]
		46311163, -- [6]
		49040306, -- [7]
		55010612, -- [8]
	}
)

RegisterTycoonFarmArea("Dustwallow Marsh Heavy Leather", 
	"An area in Dustwallow Marsh you can kill and skin Bloodfen Screecher and Bloodfen Raptors to get Heavy Leather",
	{ -- Items
		{id = 4234, rate = 168}, -- Heavy Leather
		{id = "coin", rate = 36000}, --Direct coin drops and coin from selling grey items after route run
	},
	141, -- ZoneMapAreaID: Dustwallow Marsh
	{Skinning = 185}, -- Required Profession = profession level required
	{ -- The Route
		47531395, -- [1]
		51161386, -- [2]
		53241979, -- [3]
		51402331, -- [4]
		46322081, -- [5]
		45491918, -- [6]
	}
)

RegisterTycoonFarmArea("Northern Barrens Deviate Scale/Perfect Deviate Scale", 
	"An area in and just outside Wailing Caverns in Nothern Barrens where you can kill and skin Deviate Stinglash, Deviate Lurker, Deviate Slayer, and Deviate Stalkers to obtain Deviate and Perfect Deviate Scales.",
	{ -- Items
		{id = 2318, rate = 90}, -- Light Leather
		{id = 783, rate = 42}, -- Light Hide
		{id = 6470, rate = 78}, -- Deviate Scale
		{id = 2319, rate = 84}, -- medium Leather
		{id = 6471, rate = 30}, -- Perfect Deviate Scale
		{id = "coin", rate = 37800}, --Direct coin drops and coin from selling grey items after route run
	},
	11, -- ZoneMapAreaID: Northern Barrens
	{Skinning = 70}, -- Required Profession = profession level required
	{ -- The Route
		38436262, -- [1]
		45376164, -- [2]
		42886958, -- [3]
		38476976, -- [4]
	}
)

RegisterTycoonFarmArea("Wetlands Black Whelp Scale", 
	"An area in Wetlands you can kill and skin Ebon Whelps to obtain Black Whelp Scales.",
	{ -- Items
		{id = 2319, rate = 80}, -- Medium Leather
		{id = 2318, rate = 56}, -- Light Leather
		{id = 4232, rate = 8}, -- Medium Hide
		{id = 7286, rate = 88}, -- Black Whelp Scale
		{id = "coin", rate = 18960}, --Direct coin drops and coin from selling grey items after route run
	},
	40, -- ZoneMapAreaID: Wetlands
	{Skinning = 120}, -- Required Profession = profession level required
	{ -- The Route
		60164970, -- [1]
		60674663, -- [2]
		63214639, -- [3]
		66984908, -- [4]
		66544400, -- [5]
		60404104, -- [6]
		60383797, -- [7]
		64723730, -- [8]
		69944342, -- [9]
		71584589, -- [10]
		70855028, -- [11]
		67095733, -- [12]
		64605555, -- [13]
	}
)

RegisterTycoonFarmArea("Northern Stranglethorn Medium Leather", 
	"An area in Norhtern  Stranglethorn where you can kill and skin Stranglethorn Tiger, Crystal Spine Basilisk to get Medium Leather.",
	{ -- Items
		{id = 2319, rate = 144}, -- Medium Leather
		{id = 4235, rate = 12}, -- Heavy Hide
		{id = 4232, rate = 12}, -- Medium Hide
		{id = "coin", rate = 18636}, --Direct coin drops and coin from selling grey items after route run
	},
	37, -- ZoneMapAreaID: Norhtern Stranglethorn
	{Skinning = 165}, -- Required Profession = profession level required
	{ -- The Route
		62841683, -- [1]
		64592609, -- [2]
		63282932, -- [3]
		60783225, -- [4]
		60533020, -- [5]
		57392723, -- [6]
		59942574, -- [7]
		60002397, -- [8]
	}
)

RegisterTycoonFarmArea("Badlands Thick Leather", 
	"An area in the Badlands where you can kill and skin Darkflight Flameblade, Darkflight Soldier, and Raging Whelps to obtain Thick Leather",
	{ -- Items
		{id = 8169, rate = 24}, -- Thick Hide
		{id = 4304, rate = 258}, -- Thick Leather
		{id = 8170, rate = 78}, -- Rugged Leather
		{id = 4338, rate = 66}, -- Mageweave
		{id = "coin", rate = 112192}, --Direct coin drops and coin from selling grey items after route run
	},
	17, -- ZoneMapAreaID: Badlands
	{Skinning = 235}, -- Required Profession = profession level required
	{ -- The Route
		18734783, -- [1]
		20724719, -- [2]
		22393984, -- [3]
		24633909, -- [4]
		34273824, -- [5]
		37234206, -- [6]
		28935116, -- [7]
		22255115, -- [8]
	}
)

RegisterTycoonFarmArea("Loch Modan Light Leather", 
	"An area in Loch Modan where you can skin Lakebed Snappers, Mudbelly Boar, and Loch Crocolisk to obtain Light leather",
	{ -- Items
		{id = 2318, rate = 152}, -- Light Leather
		{id = 2319, rate = 28}, -- Medium leather
		{id = 4232, rate = 4}, -- Medium Hide
		{id = 2934, rate = 24}, -- Ruined Leather Scraps
		{id = "coin", rate = 22400}, --Direct coin drops and coin from selling grey items after route run
	},
	35, -- ZoneMapAreaID: Loch Modan
	{Skinning = 70}, -- Required Profession = profession level required
	{ -- The Route
		48973319, -- [1]
		52962984, -- [2]
		55993281, -- [3]
		59003850, -- [4]
		61494061, -- [5]
		62174543, -- [6]
		62185250, -- [7]
		59525801, -- [8]
		56886243, -- [9]
		52946639, -- [10]
		47566455, -- [11]
		47115888, -- [12]
		49375513, -- [13]
		46224975, -- [14]
		48414639, -- [15]
		47934460, -- [16]
		44774194, -- [17]
		47163886, -- [18]
	}
)
