﻿--Item ids of common materials. Easier to read than numbers.
-- local ItemName(nospaces) = ItemID(Number)
local TropicalSunfruit = 58278
local RefreshingSpringWater = 159
local SimpleFlour = 30817
local MysteriousFortuneCard = 60838
local CocoaBeans = 62786
local FathomEel = 53070
local DeepseaSagefish = 53072
local BlackbellyMudfish = 53066
local LavascaleCatfish = 53068
local DragonFlank = 62782
local CrocoliskTail = 62784
local BasiliskLiver = 62783
local AlgaefinRockfish = 53071
local Murglesnout = 53069
local Sharptooth = 53062
local PandarenPeach = 74660
local YakMilk = 74852
local DelicateWing = 62785
local JadeSquash = 74847
local PinkTurnip = 74849
local JuicycrunchCarrot = 74841
local EmperorSalmon = 74859
local Witchberries = 74846
local StripedMelon = 74848
local Rice = 74851
local KrasarangPaddlefish = 74865
local ViceclawMeat = 85506
local HundredYearSoySauce = 74853
local JewelDanio = 74863
local RawTigerSteak = 74833
local Ginseng = 74845
local  WildfowlBreast = 74839



--[[ TEMPLATE	

RegisterTycoonCraft("Cooking", -- English Profession Name	
	, -- Item Id of Created Item
	, -- Spell ID of the tradeskill Recipie - 
	{  -- Reagents
		-- [ Reagent Name] = # Required,
	}
)

]]--

RegisterTycoonCraft("Cooking", -- English Profession Name	
	75016, -- Item Id of Created Item
	105194, -- Spell ID of the tradeskill Recipie - Great Pandaren Banquet
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[HundredYearSoySauce] = 1,
		[JewelDanio] = 20,
		[RawTigerSteak] = 20,
		[PinkTurnip] = 100,
	},
	5
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	74919, -- Item Id of Created Item
	105190, -- Spell ID of the tradeskill Recipie - PandarenBanquet 
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[HundredYearSoySauce] = 1,
		[JewelDanio] = 10,
		[RawTigerSteak] = 10,
		[PinkTurnip] = 50,
	},
	5
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	85504, -- Item Id of Created Item
	124032, -- Spell ID of the tradeskill Recipie - Krasarang Fritters
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[KrasarangPaddlefish] = 1,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	85501, -- Item Id of Created Item
	124029, -- Spell ID of the tradeskill Recipie - Viseclaw Soup
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[ViceclawMeat] = 1,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	86069, -- Item Id of Created Item
	125122, -- Spell ID of the tradeskill Recipie - Rice Pudding
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[Rice] = 1,
		[YakMilk] = 1,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	86070, -- Item Id of Created Item
	125121, -- Spell ID of the tradeskill Recipie - WIldfoul Ginseng Soup
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[Ginseng] = 1,
		[WildfowlBreast] = 1,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	86073, -- Item Id of Created Item
	125120, -- Spell ID of the tradeskill Recipie - SPicy Salmon
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[EmperorSalmon] = 5,
		[Witchberries] = 25,
		[StripedMelon] = 25,
		[Rice] = 1,
	},
	5
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	86074, -- Item Id of Created Item
	125123, -- Spell ID of the tradeskill Recipie - Spic Vegetable Chips
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[JadeSquash] = 25,
		[PinkTurnip] = 25,
		[JuicycrunchCarrot] = 25,
	},
	5
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62289, -- Item Id of Created Item
	88011, -- Spell ID of the tradeskill Recipie - Broiled Dragon Feast
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[DragonFlank] = 3,
		[DelicateWing] = 2,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62672, -- South Island Iced Tea -- Item Id of Created Item
	88044, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[TropicalSunfruit] = 1,
		[RefreshingSpringWater] = 1,-- [ Reagent Name] = # Required,
	},
	5
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62649, -- Fortune Cookie -- Item Id of Created Item
	88019, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[SimpleFlour] = 1,
		[MysteriousFortuneCard] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62680, -- Chocolate Cookie -- Item Id of Created Item
	88013, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[SimpleFlour] = 1,
		[CocoaBeans] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62669, -- Skewered Eel -- Item Id of Created Item
	88042, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[FathomEel] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62671, -- Severed Sagefish Head -- Item Id of Created Item
	88039, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[DeepseaSagefish] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62667, -- Mushroom Sauce Mudfish -- Item Id of Created Item
	88031, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BlackbellyMudfish] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62663, -- Lavascale Minestrone -- Item Id of Created Item
	88025, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LavascaleCatfish] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62662, --Grilled Dragon -- Item Id of Created Item
	88020, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[DragonFlank] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62666, -- Delicious Sagefish Tail -- Item Id of Created Item
	88016, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[DeepseaSagefish] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62664, -- Crocolisk Au Gratin -- Item Id of Created Item
	88014, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CrocoliskTail] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62668, -- Blackbelly Sushi -- Item Id of Created Item
	88034, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BlackbellyMudfish] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62670, -- Beer-Baseted Crocolisk -- Item Id of Created Item
	88005, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CrocoliskTail] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62665, -- Basilisk Liverdog -- Item Id of Created Item
	88004, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BasiliskLiver] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62661, -- Baked Rockfish -- Item Id of Created Item
	88003, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[AlgaefinRockfish] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	68687, -- Scalding Murglesnout -- Item Id of Created Item
	96133, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Murglesnout] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Cooking", -- English Profession Name	
	62677, -- Fish Fry -- Item Id of Created Item
	88018, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[Sharptooth] = 3,-- [ Reagent Name] = # Required,
	}
)
