﻿--Item ids of common materials. Easier to read than numbers.
-- local ItemName(nospaces) = ItemID(Number)
local InfernoInk = 61981
local VolatileLife = 52329
local VolatileWater = 52326
local VolatileAir = 52328
local VolatileEarth = 52327
local VolatileFire = 52325
local PreservedOgreEye = 67319
local SilverCharmBracelet = 67335
local BleachedJawbone = 67348
local ResilientParchment = 39502
local BurningEmbers = 61980
local BlackfallowInk = 61978
local CommonParchment = 10648
local SnowfallInk = 43127
local EtherealInk = 43124
local InkoftheSea = 43126
local MidnightInk = 39774
local LightParchment = 39354
local LionsInk = 43116
local JadefireInk = 43118
local CelestialInk = 43120
local AshenPigment = 61979
local HeavyParchment = 39501
local IcyPigment = 43109
local NetherPigment = 39342
local ShimmeringInk = 43122
local SapphirePigment = 43107
local SilveryPigment = 39341
local RubyPigment = 43106
local VioletPigment = 39340
local indigoPigment = 43105
local BurntPigment = 43104
local GoldenPigment = 39338
local VerdantPigment = 43103
local DuskyPigment = 39334
local MoonglowInk = 39469
local AlabasterPigment = 39151
local InscribedFan = 79333
local StarlightInk = 79255
local ScrollOfWisdom = 79731
local GhostIronStaff = 79342
local SpiritOfHarmony = 76061
local RainPoppyStaff = 79339
local InscribedFan = 79333


--[[ TEMPLATE	

RegisterTycoonCraft("Inscription", -- English Profession Name	
	, -- Item Id of Created Item - 
	, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
	}
)

]]--

RegisterTycoonCraft("Inscription", -- English Profession Name	
	79335, -- Item Id of Created Item - Inscribed Red Fan
	111910, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[InscribedFan] = 1,
		[StarlightInk] = 3,
		[ScrollOfWisdom] = 5,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	79340, -- Item Id of Created Item - Inscribed Crane Staff
	111918, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[RainPoppyStaff] = 1,
		[StarlightInk] = 20,
		[ScrollOfWisdom] = 20,
		[SpiritOfHarmony] = 5,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	79341, -- Item Id of Created Item - Inscribed Serpent Staff
	111919, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[RainPoppyStaff] = 1,
		[StarlightInk] = 20,
		[ScrollOfWisdom] = 20,
		[SpiritOfHarmony] = 5,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	79343, -- Item Id of Created Item - Inscribed Tiger Staff
	111921, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[GhostIronStaff] = 1,
		[StarlightInk] = 20,
		[ScrollOfWisdom] = 20,
		[SpiritOfHarmony] = 5,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	79334, -- Item Id of Created Item - Inscribed Jade Fan
	111909, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		-- [ Reagent Name] = # Required,
		[InscribedFan] = 1,
		[StarlightInk] = 3,
		[ScrollOfWisdom] = 5,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	62245, -- Item Id of Created Item Silver Inlaid Leaf
	86653, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InfernoInk] = 12,
		[VolatileLife] = 36,
		[VolatileAir] = 12,
		[SilverCharmBracelet] = 1,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	62236, -- Item Id of Created Item Batle Tome
	86643, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ResilientParchment] = 10,
		[InfernoInk] = 8,
		[VolatileLife] = 24,
		[VolatileFire] = 6,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	75069, -- BloodthirstyJawbone of Conquest Item Id of Created Item
	99549, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InfernoInk] = 5,
		[VolatileLife] = 12,
		[BleachedJawbone] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	75066, -- BloodthirstyEyeball of Dominance Item Id of Created Item
	99548, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InfernoInk] = 5, 
		[VolatileWater] = 12,
		[PreservedOgreEye] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	75079, -- Bloodthirsty Charm of Triumph Item Id of Created Item
	99547, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InfernoInk] = 5, 
		[VolatileLife] = 6, 
		[VolatileWater] = 6,
		[SilverCharmBracelet] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	71155, -- Glyph of Unleashed Lightning Item Id of Created Item
	101057, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3, 
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	62244, -- Tattooed Eyeball -- Item Id of Created Item
	86652, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InfernoInk] = 12,
		[VolatileLife] = 36,
		[VolatileWater] = 12,
		[PreservedOgreEye] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	62245, -- SilverInlaidLeaf -- Item Id of Created Item
	86653, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InfernoInk] = 12,
		[VolatileLife] = 36,
		[VolatileAir] = 12,
		[SilverCharmBracelet] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	62243, -- Notched Jawbone -- Item Id of Created Item
	86650, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InfernoInk] = 12,
		[VolatileLife] = 36,
		[VolatileEarth] = 12,
		[BleachedJawbone] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	62234, -- Dungeoneering Guide -- Item Id of Created Item
	86641, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ResilientParchment] = 10,
		[InfernoInk] = 8,
		[VolatileLife] = 24,
		[VolatileWater] = 6,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	62235, -- Divine Companion -- Item Id of Created Item
	86642, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ResilientParchment] = 10,
		[InfernoInk] = 8,
		[VolatileLife] = 24,
		[VolatileAir] = 6,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	62251, -- Runescroll of Fortitude II -- Item Id of Created Item
	85785, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InfernoInk] = 5,
		[ResilientParchment] = 5,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	61981, -- Inferno Ink -- Item Id of Created Item
	86005, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BurningEmbers] = 2,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	63481, -- Glyph of Colossus Smash -- Item Id of Created Item
	89815, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BlackfallowInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)


RegisterTycoonCraft("Inscription", -- English Profession Name	
	60838, -- Mysterious Fortune Card -- Item Id of Created Item
	86609, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ResilientParchment] = 1,
		[BlackfallowInk] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45602, -- Glyph of Wild Growth -- Item Id of Created Item
	64270, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45761, -- Glyph of Vendetta -- Item Id of Created Item
	64284, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	63420, -- Glyph of Vanish -- Item Id of Created Item
	94711, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45767, -- Glyph of Tricks of the Trade -- Item Id of Created Item
	64310, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45770, -- Glyph of Thunder  -- Item Id of Created Item
	64287, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45743, -- glyph of Templar's Verdict -- Item Id of Created Item
	64279, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45778, -- Glyph of Stoneclaw Totem -- Item Id of Created Item
	64247, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45603, -- glyph of Starsurge -- Item Id of Created Item
	64313, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45757, -- Glyph of Spirit Tap -- Item Id of Created Item
	64309, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45795, -- Glyph of Spell Reflection -- Item Id of Created Item
	64302, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45789, -- Glyph of Soul Link -- Item Id of Created Item
	64250, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45737, -- Glyph of Slow -- Item Id of Created Item
	64275, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45792, -- Glyph of Shockwave -- Item Id of Created Item
	64296, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45797, -- Glyph of Shield Wall -- Item Id of Created Item
	64252, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45744, -- Glyph of Shield of the Righteous -- Item Id of Created Item
	64308, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45783, -- Glyph of Shadowflame -- Item Id of Created Item
	64311, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45764, -- Glyph of Shadow Dance -- Item Id of Created Item
	64286, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45734, -- Glyph of Scatter Shot -- Item Id of Created Item
	64249, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45604, -- Glyph of Savage Raor -- Item Id of Created Item
	64307, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45747, -- Glyph of Salvation -- Item Id of Created Item
	64251, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45772, -- Glyph of Riptide -- Item Id of Created Item
	64289, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45735, -- Glyph of Raptor Strike -- Item Id of Created Item
	64246, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45756, -- Glyph of Penance -- Item Id of Created Item
	64282, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45780, -- Glyph of Metamorphosis -- Item Id of Created Item
	64318, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45733, -- Glyph of Master's Call -- Item Id of Created Item
	64253, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[JadefireInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45785, -- Glyph of LIfe Tap -- Item Id of Created Item
	64248, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45762, -- Glyph of Killing Spree -- Item Id of Created Item
	64285, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45732, -- Glyph of Kill Shot -- Item Id of Created Item
	64304, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45794, -- Glyph of Intimidating SHot -- Item Id of Created Item
	64312, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45740, -- Glyph of Ice Barrier -- Item Id of Created Item
	64257, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CelestialInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45800, -- Glyph of HungeringCold -- Item Id of Created Item
	64298, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45806, -- Glyph of Howling Blast -- Item Id of Created Item
	64300, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	54746, -- Glyph of Holy Shock -- Item Id of Created Item
	64254, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CelestialInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45777, -- Glyph of Hex -- Item Id of Created Item
	64316, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45779, -- Glyph of Haunt -- Item Id of Created Item
	64291, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45742, -- Glyph of Hammer of the Righteous -- Item Id of Created Item
	64278, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45755, -- Glyph of Guardian Spirit -- Item Id of Created Item
	64281, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	69773, -- Glyph of Frost Armor -- Item Id of Created Item
	98398, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45771, -- Glyph of Feral Spirit -- Item Id of Created Item
	64288, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45766, -- Glyph of Fan of Knives -- Item Id of Created Item
	64315, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45731, -- Glyph of Explosive Shot -- Item Id of Created Item
	64273, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45745, -- Glyph of Divine Plea -- Item Id of Created Item
	64305, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45758, -- Glyph of Divine Accuracy -- Item Id of Created Item
	64283, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45753, -- Glyph of Dispersion -- Item Id of Created Item
	64280, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45782, -- Glyph of Demonic Circle -- Item Id of Created Item
	64317, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45736, -- Glyph of Deep Freeze -- Item Id of Created Item
	64274, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45799, -- Glyph of Dancing Rune Weapon -- Item Id of Created Item
	64297, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1, -- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45769, -- Glyph of Cloak of Shadows -- Item Id of Created Item
	64303, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45625, -- Glyph of Chimera Shot -- Item Id of Created Item
	64271, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45781, -- Glyph of Chaos Bolt -- Item Id of Created Item
	64294, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45790, -- Glyph of Bladestorm -- Item Id of Created Item
	64295, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45741, -- Glyph of Beacon of Light -- Item Id of Created Item
	64277, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45738, -- Glyph of Arcane Barrage -- Item Id of Created Item
	64276, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	61978, -- Blackfallow Ink -- Item Id of Created Item
	86004, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[AshenPigment] = 2,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45601, -- Glyph of Berserk -- Item Id of Created Item
	64268, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45623, -- Glyph of Barkskin -- Item Id of Created Item
	64256, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CelestialInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42752, -- Glyph of Polymorph -- Item Id of Created Item
	56987, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	66918, -- Glyph of the Long Word -- Item Id of Created Item
	95825, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	63539, -- Glyph of Living Bomb -- Item Id of Created Item
	94000, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42917, -- Glyph of Wyvern Sting -- Item Id of Created Item
	57014, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43431, -- Glyph of Victory Rush -- Item Id of Created Item
	57170, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42472, -- Glyph of Unstable Affliction -- Item Id of Created Item
	57276, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42899, -- Glyph of Trap Launcher -- Item Id of Created Item
	56996, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41107, -- Glyph of Ascetic Crusader -- Item Id of Created Item
	57021, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40906, -- Glyph of Swiftmend -- Item Id of Created Item
	56960, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42914, -- Glyph of Steady Shot -- Item Id of Created Item
	57011, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40921, -- Glyph of Starfall -- Item Id of Created Item
	56958, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40899, -- Glyph of Solar Beam -- Item Id of Created Item
	56944, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42913, -- Glyph of Snake Trap -- Item Id of Created Item
	57010, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41526, -- Glyph of Shocking -- Item Id of Created Item
	57235, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43425, -- Glyph of Shield Slam -- Item Id of Created Item
	57152, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42414, -- Glyph of Shadow Word: Death -- Item Id of Created Item
	57199, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43869, -- Glyph of Seal of Truth -- Item Id of Created Item
	59561, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41110, -- Glyph of Seal of Insight -- Item Id of Created Item
	57034, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42969, -- Glyph of Rupture -- Item Id of Created Item
	57128, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43550, -- Glyph of Rune Strike -- Item Id of Created Item
	57223, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42965, -- Glyph of Revealing Strike -- Item Id of Created Item
	57124, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43430, -- Glyph of Resonating Power -- Item Id of Created Item
	57164, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40912, -- Glyph of Regrowth -- Item Id of Created Item
	56954, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42405, -- GLyph of Psychic Horror -- Item Id of Created Item
	57191, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42968, -- Glyph of Preperation -- Item Id of Created Item
	57127, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42417, -- Glyph of Prayer of Mending -- Item Id of Created Item
	57202, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42409, -- Glyph of Prayer of healing -- Item Id of Created Item
	57195, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42407, -- Glyph of Power Word: Barrier -- Item Id of Created Item
	57193, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43547, -- Glyph of Obliterate -- Item Id of Created Item
	57220, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43421, -- Glyph of Mortal Strike -- Item Id of Created Item
	57160, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42751, -- Glyphh of Molten Armor -- Item Id of Created Item
	59689, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42404, -- Glyph of Mass Dispel -- Item Id of Created Item
	57190, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40900, -- GLyph of Mangle -- Item Id of Created Item
	56950, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42403, -- Glyph of Lightwell -- Item Id of Created Item
	57189, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40915, -- Glyph of Lifebloom -- Item Id of Created Item
	56949, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42915, -- Glyph of Kill Command -- Item Id of Created Item
	57012, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42464, -- Glyph of Immolate -- Item Id of Created Item
	57268, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42967, -- Glyph of Hemorrhage -- Item Id of Created Item
	57126, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43534, -- Glyph of Heart Strike -- Item Id of Created Item
	57208, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	44684, -- Glyph of Frostfire -- Item Id of Created Item
	61677, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42742, -- Glyph of Frostbolt -- Item Id of Created Item
	56977, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42739, -- Glyph of Fireball -- Item Id of Created Item
	56975, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41529, -- Glyph of Fire Elemental Totem -- Item Id of Created Item
	57237, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42459, -- Glyphf of Felguard -- Item Id of Created Item
	57263, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43415, -- Glyph of Devastate -- Item Id of Created Item
	57155, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43542, -- Glyph of Death and Decay -- Item Id of Created Item
	57214, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42454, -- Glyph of Conflagrate -- Item Id of Created Item
	57258, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42753, -- Glyph of Cone of Cold -- Item Id of Created Item
	56988, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42456, -- Glyph of Bane of Agony -- Item Id of Created Item
	57260, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42954, -- Glyph of Adrenaline Rush -- Item Id of Created Item
	57112, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41524, -- Glyph of Lava Burst -- Item Id of Created Item
	57234, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42909, -- Glyph of the Dazzled Prey -- Item Id of Created Item
	57006, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41539, -- Glyph of Stormstrike -- Item Id of Created Item
	57248, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42745,  -- Glyph of Ice Lance-- Item Id of Created Item
	56980, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	50077, -- Glyph of Lash of Pain -- Item Id of Created Item
	71102, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[InkoftheSea] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43127, -- Snowfall Ink -- Item Id of Created Item
	57716, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
			[IcyPigment] = 2,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42406, -- Glyph of Shadow Word: Pain -- Item Id of Created Item
	57192, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42453, -- Glyph of Incinerate -- Item Id of Created Item
	57257, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43432, -- Glyph of Raging Blow -- Item Id of Created Item
	57172, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43827, -- Glyph of Death Strike -- Item Id of Created Item
	59340, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41542, -- Glyph of Windfury Weapon -- Item Id of Created Item
	57252, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43551, -- Glyph of Scourge Strike -- Item Id of Created Item
	57224, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	67484, -- Glyph of Lacerate -- Item Id of Created Item
	94402, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42749, -- Glyph of Mage Armor -- Item Id of Created Item
	56984, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42911, -- Glyph of Rapid Fire -- Item Id of Created Item
	57008, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	44955, -- Glyph of Arcane Blast -- Item Id of Created Item
	56991, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[ResilientParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41105, -- Glyph of WOrd of Glory -- Item Id of Created Item
	57026, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41527, -- Glyph of Earthliving Weapon -- Item Id of Created Item
	57236, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[EtherealInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43124, -- EtherealInk -- Item Id of Created Item
	57713, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[NetherPigment] = 2,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43416, -- Glyph of Bloodthirst -- Item Id of Created Item
	57156, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43546, -- Glyph of Icy Touch -- Item Id of Created Item
	57219, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45804, -- Glyph of Death Coil -- Item Id of Created Item
	64266, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41541, -- Glyph of Water Shield -- Item Id of Created Item
	57251, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42468, -- Glyph of Shadowburn -- Item Id of Created Item
	57272, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43543, -- Glyph of Frost Strike -- Item Id of Created Item
	57216, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41103, -- Glyph of Exorcism -- Item Id of Created Item
	57025, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40901, -- Glyph of Shred -- Item Id of Created Item
	56957, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45768, -- Glyph of Mutilate -- Item Id of Created Item
	64260, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	45775, -- Glyph of Earth Shield -- Item Id of Created Item
	64261, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ShimmeringInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42973, -- Glyph of Slice and Dice -- Item Id of Created Item
	57132, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CelestialInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41098, -- Glyph of Crusader Strike -- Item Id of Created Item
	57024, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CelestialInk] = 3,
		[HeavyParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40902, -- Glyph of Rip -- Item Id of Created Item
	56956, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CelestialInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42415, -- Glyph of Mind Flay -- Item Id of Created Item
	57200, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[JadefireInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42897, -- Glyph of Aimed Shot -- Item Id of Created Item
	56994, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[JadefireInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43422, -- Glyph of Overpower -- Item Id of Created Item
	57161, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[JadefireInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41540, -- Glyph of Lava Lash -- Item Id of Created Item
	57249, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[JadefireInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42411, -- Glyph of Renew -- Item Id of Created Item
	57197, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[JadefireInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40919, -- Glyph of Insect Swarm -- Item Id of Created Item
	56948, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[JadefireInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)


RegisterTycoonCraft("Inscription", -- English Profession Name	
	41536, -- Glyph of Lightning Bolt -- Item Id of Created Item
	57245, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40923, -- Glyph of Moonfire -- Item Id of Created Item
	56951, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41532, -- Glyph of Flametongue Weapon -- Item Id of Created Item
	57240, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	67487, -- Glyph of Tiger's Fury -- Item Id of Created Item
	94401, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41092, -- Glyph of Judgement -- Item Id of Created Item
	57030, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42400, -- Glyph of Flash Heal -- Item Id of Created Item
	57186, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42735, -- Glyph of Arcane Missiles -- Item Id of Created Item
	56971, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	43423, -- Glyph of Slam -- Item Id of Created Item
	57163, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42961, -- Glyph of Eviscerate -- Item Id of Created Item
	57120, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41106, -- Glyph of Divine Favor -- Item Id of Created Item
	57029, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42898, -- Glyph of Arcane Shot -- Item Id of Created Item
	56995, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[LionsInk] = 3,
		[CommonParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42912, -- Glyph of Serpent Sting -- Item Id of Created Item
	57009, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42743, -- Glyph of Pyroblast -- Item Id of Created Item
	56978, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40922, -- Glyph of Wrath -- Item Id of Created Item
	56963, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	41531, -- Glyph of Flame Shock -- Item Id of Created Item
	57239, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42455, -- Glyph of Corruption -- Item Id of Created Item
	57259, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	40913, -- Glyph of Rejuvenation -- Item Id of Created Item
	56955, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42408, -- Glyph of Power: Shield -- Item Id of Created Item
	57194, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Inscription", -- English Profession Name	
	42956, -- Glyph of Backstab -- Item Id of Created Item
	57114, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MidnightInk] = 3,
		[LightParchment] = 1,-- [ Reagent Name] = # Required,
	}
)