--Item ids of common materials. Easier to read than numbers.
-- local ItemName(nospaces) = ItemID(Number)
local BlackenedDragonscale = 52979
local ChaosOrb = 52078
local VolatileFire = 52325
local VolatileWater = 52326
local VolatileLife = 52329
local VolatileAir = 52328
local VolatileEarth = 52327
local PristineHide = 52980
local HeavySavageLeather = 56516
local SavageLeather = 52976
local HeavyBoreanLeather = 38425
local IcyDragonscale = 38557
local JormungarScale = 38561
local ArcticFur = 44128
local EternalEarth = 35624
local FrozenOrb = 43102
local NerubianChitin = 38558
local BoreanLeather = 33568
local HeavyKnothideLeather = 23793
local PrimalMana = 22457
local PrimalEarth = 22452
local PrimalAir = 22451
local PrimalWater = 21885
local PrimalFire = 21884
local PrimalShadow = 22456
local PrimalLife = 21886
local ThickClefthoofLeather = 25708
local CobraScales = 29539
local PrimalMight = 23571
local ArcaneDust = 22445
local SmallPrismaticShard = 22448
local CoreLeather = 17102
local RuneThread = 14341
local KnothideLeather = 21887
local InfernoInk = 61981
local EssenceofDestruction = 71998
local LivingEmber = 69237
local MagnificentHide = 72163
local SpiritOfHarmony = 76061
local BloodSpirit = 80433
local ExoticLeather = 72120
local PrismaticScale = 79101

--[[ TEMPLATE	

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	, -- Item Id of Created Item - 
	, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
	}
)

]]--

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85787, -- Item Id of Created Item - Chestguard of Earthen Harmony
	124625, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 3,
		[SpiritOfHarmony] = 8,				
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85822, -- Item Id of Created Item - Gloves of Earthen Harmony
	124626, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 2,
		[SpiritOfHarmony] = 6,	
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85823, -- Item Id of Created Item - Greyshadow Chestguard
	124619, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 3,
		[SpiritOfHarmony] = 8,			
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85824, -- Item Id of Created Item - Greyshadow Gloves
	124620, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 2,
		[SpiritOfHarmony] = 6,		
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85826, -- Item Id of Created Item - Lifekeeper's Gloves
	124624, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 2,
		[SpiritOfHarmony] = 6,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85826, -- Item Id of Created Item - Lifekeeper's robe
	124623, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 3,
		[SpiritOfHarmony] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85849, -- Item Id of Created Item - Wildblood Gloves
	124622, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 2,
		[SpiritOfHarmony] = 6,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85850, -- Item Id of Created Item - Wildblood Vest
	124621, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 3,
		[SpiritOfHarmony] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85792, -- Item Id of Created Item - Contender's Dragonscale Chestguard
	124613, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85794, -- Item Id of Created Item - Contender's Dragonscale Helm
	124611, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85800, -- Item Id of Created Item - Contender's Leather Chestguard
	124605, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85802, -- Item Id of Created Item - Contender's Leather Helm
	124603, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85808, -- Item Id of Created Item - Contender's Scale Chestguard
	124597, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85810, -- Item Id of Created Item - Contender's Scale Helm
	124595, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85816, -- Item Id of Created Item - Contender's Wyrmhide Chestguard
	124589, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85818, -- Item Id of Created Item - Contender's Wyrmhide Helm
	124587, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	83765, -- Item Id of Created Item - Angerhide Leg Armor
	124127, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 1,
		[SpiritOfHarmony] = 1,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85796, -- Item Id of Created Item - Contender's Dragonscale Shoulders
	124612, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85804, -- Item Id of Created Item - Contender's Leather Shoulders
	124604, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85812, -- Item Id of Created Item - Contender's Scale Shoulders
	124596, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85820, -- Item Id of Created Item - Contender's Wyrmhide Shoulders
	124588, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85789, -- Item Id of Created Item - Contender's Dragonscale Belt
	124618, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85790, -- Item Id of Created Item - Contender's Dragonscale Boots
	124617, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85793, -- Item Id of Created Item - Contender's Dragonscale Gloves
	124614, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85795, -- Item Id of Created Item - Contender's Dragonscale Leggings
	124615, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85797, -- Item Id of Created Item - Contender's Leather Belt
	124610, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85798, -- Item Id of Created Item - Contender's Leather Boots
	124609, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85801, -- Item Id of Created Item - Contender's Leather Gloves
	124606, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85803, -- Item Id of Created Item - Contender's Leather Leggings
	124607, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85805, -- Item Id of Created Item - Contender's Scale Belt
	124602, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85806, -- Item Id of Created Item - Contender's Scale Boots
	124601, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85809, -- Item Id of Created Item - Contender's Scale Gloves
	124598, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85811, -- Item Id of Created Item - Contender's Scale Leggings
	124599, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85813, -- Item Id of Created Item - Contender's Wyrmhide Belt
	124594, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85814, -- Item Id of Created Item - Contender's Wyrmhide Boots
	124593, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85817, -- Item Id of Created Item - Contender's Wyrmhide Glove
	124590, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 15,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85819, -- Item Id of Created Item - Contender's Wyrmhide Leggings
	124591, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 20,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85852, -- Item Id of Created Item - Quick Strike Cloak
	124637, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 20,
		[SpiritOfHarmony] = 1,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85791, -- Item Id of Created Item - Contender's Dragonscale Bracers
	124616, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 12,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85799, -- Item Id of Created Item - Contender's Leather Bracers
	124608, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 12,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85807, -- Item Id of Created Item - Contender's Scale Bracers
	124600, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 12,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85815, -- Item Id of Created Item - Contender's Wyrmhide Bracers
	124592, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 12,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85853, -- Item Id of Created Item - Stormscale Drape
	124636, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PrismaticScale] = 20,
		[SpiritOfHarmony] = 1.
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	72163, -- Item Id of Created Item - Magnificent Hide
	131865, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 50,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85568, -- Item Id of Created Item - Brutal LegArmor
	124126, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 12,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85559, -- Item Id of Created Item - Sha Armor Kit
	124628, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 4,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	72163, -- Item Id of Created Item - Magnificent Leather
	131865, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ExoticLeather] = 50,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	83764, -- Item Id of Created Item - Shadowleather Leg Armor
	124129, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 1,
		[SpiritOfHarmony] = 1,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	83763, -- Item Id of Created Item - Ironscale Leg Armor
	124128, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 1,
		[SpiritOfHarmony] = 1,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85821, -- Item Id of Created Item - Fists of Lightning
	124643, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 2,
		[SpiritOfHarmony] = 3,
		[BloodSpirit] = 6,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85827, -- Item Id of Created Item - Liferuned Leather Gloves
	124641, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 2,
		[SpiritOfHarmony] = 3,
		[BloodSpirit] = 6,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85828, -- Item Id of Created Item - Murderer's Gloves
	124639, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 2,
		[SpiritOfHarmony] = 3,
		[BloodSpirit] = 6,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85829, -- Item Id of Created Item - Nightfire Robe
	124640, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 3,
		[SpiritOfHarmony] = 4,
		[BloodSpirit] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85830, -- Item Id of Created Item - Raiment of Blood and Bone
	1224644, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 3,
		[SpiritOfHarmony] = 4,
		[BloodSpirit] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85831, -- Item Id of Created Item - Raven Lord's Gloves
	124645, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 2,
		[SpiritOfHarmony] = 3,
		[BloodSpirit] = 6,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85840, -- Item Id of Created Item - Stormbreaker Chestguard
	124642, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 3,
		[SpiritOfHarmony] = 4,
		[BloodSpirit] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	85788, -- Item Id of Created Item - Chestguard of Nemeses
	124638, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[MagnificentHide] = 3,
		[SpiritOfHarmony] = 4,
		[BloodSpirit] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	71985, -- Item Id of Created Item Bladeshadow Leggings
	101935, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileFire] = 20,
		[VolatileAir] = 20,
		[ChaosOrb] = 4,
		[EssenceofDestruction] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	71994, -- Item Id of Created Item Bladeshadow WRistguards
	101940, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 4,
		[VolatileFire] = 20,
		[VolatileAir] = 20,
		[ChaosOrb] = 2,
		[EssenceofDestruction] = 4,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	71995, -- Item Id of Created Item Bracers of Flowing Serenity
	101937, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 4,
		[VolatileLife] = 10,
		[VolatileWater] = 10,
		[VolatileAir] = 10,
		[ChaosOrb] = 2,
		[EssenceofDestruction] = 4,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	71996, -- Item Id of Created Item Bracers of the Hunter-Killer
	101941, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 4,
		[BlackenedDragonscale] = 20,
		[VolatileLife] = 20,
		[ChaosOrb] = 2,
		[EssenceofDestruction] = 4,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	71988, -- Item Id of Created Item Deathscale LEggings
	101934, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[BlackenedDragonscale] = 40,
		[ChaosOrb] = 4,
		[EssenceofDestruction] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	71986, -- Item Id of Created Item Leggings of Nature's Champion
	101933, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileLife] = 40,
		[ChaosOrb] = 4,
		[EssenceofDestruction] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	71987, -- Item Id of Created Item Rended Earth Leggings
	101936, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[BlackenedDragonscale] = 25,
		[VolatileFire] = 10,
		[VolatileEarth] = 10,
		[ChaosOrb] = 4,
		[EssenceofDestruction] = 8,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	71997, -- Item Id of Created Item Thundering Deathscale WRistguards
	101939, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 4,
		[BlackenedDragonscale] = 20,
		[VolatileAir] = 30,
		[ChaosOrb] = 2,
		[EssenceofDestruction] = 4,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75077, -- Bloodthirsty Hide Cloak   Item Id of Created Item
	99535, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 1,
		[VolatileFire] = 4,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75076, -- Bloodthirsty Fur Cloak   Item Id of Created Item
	99536, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 1,
		[VolatileEarth] = 4,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75099, -- Bloodthirsty Wyrmhide Shoulders  Item Id of Created Item
	78464, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileWater] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75080, -- Bloodthirsty Wyrmhide  Legs Item Id of Created Item
	78479, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileLife] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75111, -- Bloodthirsty Wyrmhide Helm  Item Id of Created Item
	78480, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileLife] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75109, -- Bloodthirsty Wyrmhide Gloves  Item Id of Created Item
	78452, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75107, -- Bloodthirsty Wyrmhide Chest  Item Id of Created Item
	78467, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileWater] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75106, -- Bloodthirsty Wyrmhide Bracers  Item Id of Created Item
	78444, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75101, -- Bloodthirsty Wyrmhide Boots  Item Id of Created Item
	78453, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75117, -- Bloodthirsty Wyrmhide Belt  Item Id of Created Item
	78445, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75113, -- Bloodthirsty Leather Shoulders  Item Id of Created Item
	78455, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75112, -- Bloodthirsty Leather Legs  Item Id of Created Item
	78482, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileLife] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75105, -- Bloodthirsty Leather  Helm Item Id of Created Item
	78469, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileWater] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75104, -- Bloodthirsty Leather  Gloves Item Id of Created Item
	78447, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75103, -- Bloodthirsty Leather Chest  Item Id of Created Item
	78481, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileLife] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75131, -- Bloodthirsty Leather  Bracers Item Id of Created Item
	78446, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75130, -- Bloodthirsty Leather Boots  Item Id of Created Item
	78454, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75127, -- Bloodthirsty Leather Belt  Item Id of Created Item
	78468, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 10,
		[VolatileWater] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75116, -- Bloodthirsty Dragonscale Shoulders Item Id of Created Item
	78451, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75108, -- Bloodthirsty Dragonscale Legs Item Id of Created Item
	78485, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileLife] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75102, -- Bloodthirsty Dragonscale Helm Item Id of Created Item
	78474, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileWater] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75081, -- Bloodthirsty Dragonscale Gloves Item Id of Created Item
	78459, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75115, -- Bloodthirsty Dragonscale Chest Item Id of Created Item
	78476, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileLife] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75114, -- Bloodthirsty Dragonscale Bracers Item Id of Created Item
	78450, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75110, -- Bloodthirsty Dragonscale Boots Item Id of Created Item
	78458, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75100, -- Bloodthirsty Dragonscale Belt Item Id of Created Item
	78473, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileWater] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75061, -- Bloodthisrty Charscale Shoulders Item Id of Created Item
	78470, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileWater] = 10,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75097, -- Bloodthirsty Charscale Legs Item Id of Created Item
	78471, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileWater] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75090, -- Bloodthirsty Charscale Helm Item Id of Created Item
	78484, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileLife] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75085, -- Bloodthirsty Charscale Gloves Item Id of Created Item
	78449, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75084, -- Bloodthirsty Charscale Chest Item Id of Created Item
	78483, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileLife] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75094, -- Bloodthirsty Charscale BracersItem Id of Created Item
	78448, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75092, -- Bloodthirsty Charscale Boots Item Id of Created Item
	78456, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	75083, -- Bloodthirsty Charscale Belt Item Id of Created Item
	78457, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavySavageLeather] = 8,
		[BlackenedDragonscale] = 10,
		[VolatileFire] = 10,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	69951, -- Treads of the Craft Item Id of Created Item
	69973, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileFire] = 40,
		[VolatileWater] = 40,
		[LivingEmber] = 4, 
		[ChaosOrb] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	69943, -- Heavenly Gloves of the Moon Item Id of Created Item
	69963, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileFire] = 40,
		[VolatileWater] = 40,
		[LivingEmber] = 4, 
		[ChaosOrb] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	69941, -- Gloves of Unforgiving Flame Item Id of Created Item
	69961, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileFire] = 40,
		[VolatileWater] = 40,
		[LivingEmber] = 4, 
		[ChaosOrb] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	69950, -- Footwraps of Quenched Fire Item Id of Created Item
	69972, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileFire] = 40,
		[VolatileWater] = 40,
		[LivingEmber] = 4, 
		[ChaosOrb] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	69952, --  Ethereal FootfallsItem Id of Created Item
	69974, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileFire] = 40,
		[VolatileWater] = 40,
		[LivingEmber] = 4, 
		[ChaosOrb] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	69949, -- Earthen Scale Sabatons Item Id of Created Item
	69971, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileFire] = 40,
		[VolatileWater] = 40,
		[LivingEmber] = 4, 
		[ChaosOrb] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	69939, -- Dragonfire Gloves Item Id of Created Item
	69960, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileFire] = 40,
		[VolatileWater] = 40,
		[LivingEmber] = 4, 
		[ChaosOrb] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	69942, -- Clutches of Evil Item Id of Created Item
	69962, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 8,
		[VolatileFire] = 40,
		[VolatileWater] = 40,
		[LivingEmber] = 4,
		[ChaosOrb] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	70137, -- Triple-Reinforced Mining Bag Item Id of Created Item
	70175, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 3,
		[VolatileEarth] = 15,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	70136, -- Royal Scribe's Satchel Item Id of Created Item
	70174, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 3,
		[InfernoInk] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	71720, -- Drakehide Leg Armor Item Id of Created Item
	71721, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 1, 
		[VolatileEarth] = 20,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56549, -- Twilight Dragonscale Cloak -- Item Id of Created Item
	78476, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BlackenedDragonscale] = 50,
		[ChaosOrb] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56548, -- Razor-Edged Cloak -- Item Id of Created Item
	78475, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[VolatileFire] = 12,
		[VolatileWater] = 12,
		[BlackenedDragonscale] = 12,
		[ChaosOrb] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56563, -- Twilight Scale Chestguard -- Item Id of Created Item
	78489, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BlackenedDragonscale] = 15,
		[PristineHide] = 3,
		[VolatileFire] = 25,
		[VolatileAir] = 25,
		[ChaosOrb] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56550, -- Dragonscale leg Armor -- Item Id of Created Item
	78477, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BlackenedDragonscale] = 20,
		[PristineHide] = 1,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56564, -- Dragonkiller Tunic -- Item Id of Created Item
	78490, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BlackenedDragonscale] = 10,
		[PristineHide] = 3,
		[VolatileEarth] = 50,
		[ChaosOrb] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56561, -- Chestguard of Nature's Fury -- Item Id of Created Item
	78487, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 3,
		[VolatileLife] = 50,
		[ChaosOrb] = 3,-- [ Reagent Name] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56551, -- Charscale Leg Armor -- Item Id of Created Item
	78478, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 1,
		[VolatileFire] = 20,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56562, -- Assassin's Chestplate -- Item Id of Created Item
	78488, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 3,
		[VolatileAir] = 30,
		[VolatileFire] = 30,
		[ChaosOrb] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56538, -- Stormleather Sash -- Item Id of Created Item
	78462, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BlackenedDragonscale] = 10,
		[PristineHide] = 3,
		[VolatileAir] = 25,
		[VolatileWater] = 25,
		[ChaosOrb] = 2,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56536, -- Lightning Lash -- Item Id of Created Item
	78460, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 3,
		[VolatileWater] = 25,
		[VolatileAir] = 25,
		[ChaosOrb] = 2,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56539, --Corded Viper Belt -- Item Id of Created Item
	78463, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BlackenedDragonscale] = 10,
		[VolatileEarth] = 25,
		[VolatileLife] = 25,
		[PristineHide] = 3,
		[ChaosOrb] = 2,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56537, -- Belt of Nefarious Whispers -- Item Id of Created Item
	78461, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[PristineHide] = 3,
		[VolatileAir] = 30,
		[ChaosOrb] = 2,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56503, -- Twilight Leg Armor -- Item Id of Created Item
	78420, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[SavageLeather] = 6,
		[VolatileWater] = 4,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	44963, -- Earthen Leg Armor -- Item Id of Created Item
	62448, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ArcticFur] = 2,
		[EternalEarth] = 4,
		[FrozenOrb] = 1,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	38373, -- Frosthide Leg Armor -- Item Id of Created Item
	50965, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ArcticFur] = 2,
		[NerubianChitin] = 2,
		[FrozenOrb] = 1,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	38374, -- Icescale Leg Armor -- Item Id of Created Item
	50967, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[ArcticFur] = 2,
		[IcyDragonscale] = 2,
		[FrozenOrb] = 1,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56477, -- Savage Armor Kit -- Item Id of Created Item
	78379, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[SavageLeather] = 5,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	56502, -- Scorched Leg Armor -- Item Id of Created Item
	78419, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[SavageLeather] = 6,
		[VolatileFire] = 4,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	38376, -- Heavy Borean Armor Kit -- Item Id of Created Item
	50963, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyBoreanLeather] = 4,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	38371, -- Jormungar Leg Armor -- Item Id of Created Item
	50964, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyBoreanLeather] = 3,
		[JormungarScale] = 12,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	38347, -- Mommoth Mining Bag -- Item Id of Created Item
	50971, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyBoreanLeather] = 8,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	44446, -- Pack of Endless Pockets -- Item Id of Created Item
	60643, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyBoreanLeather] = 8,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	38399, -- Trapper's Traveling Pack -- Item Id of Created Item
	50970, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyBoreanLeather] = 8,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	38375, -- Borean Armor kit -- Item Id of Created Item
	50962, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[BoreanLeather] = 4,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	25651, -- Vindicator's Armor Kit -- Item Id of Created Item
	32457, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyKnothideLeather] = 3,
		[PrimalEarth] = 1,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	29534, -- Clefthide Leg Armor -- Item Id of Created Item
	35555, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyKnothideLeather] = 4,
		[ThickClefthoofLeather] = 8,
		[PrimalEarth] = 4,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	29533, -- Cobrahide Leg Armor -- Item Id of Created Item
	35549, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyKnothideLeather] = 4,
		[CobraScales] = 2,
		[PrimalAir] = 4,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	34330, -- Heavy Knothide Armor Kit -- Item Id of Created Item
	44970, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyKnothideLeather] = 3,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	25653, -- Riding Crop -- Item Id of Created Item
	32461, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[HeavyKnothideLeather] = 4,
		[PrimalMight] = 1,
		[ArcaneDust] = 6,
		[SmallPrismaticShard] = 1,-- [ ReagentName] = # Required,
	}
)

RegisterTycoonCraft("Leatherworking", -- English Profession Name	
	18251, -- Core Armor Kit -- Item Id of Created Item
	22727, -- Spell ID of the tradeskill Recipie
	{  -- Reagents
		[CoreLeather] = 3,
		[RuneThread] = 2,-- [ ReagentName] = # Required,
	}
)